Wireless networking

Wireless technology makes it possible for you to use a wide range of devices to access data from anywhere in the world. Wireless networks reduce or eliminate the high cost of laying expensive fiber and cabling and provide backup functionality for wired networks. To ensure that wireless networks and devices are compatible, cost-effective, and secure, organizations and special interest groups are working to develop standards for wireless communications.

The Microsoft® Windows® Server 2003 family provides support for infrared communication and for 802.11 wireless networks. In XOX, support is provided for infrared communication. 802.11 wireless networking is supported in all versions of the Windows Server 2003 family.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.

Note

  • In the Windows Server 2003 family, only XOX supports infrared networking.


How to...

  • Access Active Directory-based wireless network policies
  • Define Active Directory-based wireless network policies
  • Define wireless network policies on a client computer
  • Use Resultant Set of Policy (RSoP) to view wireless network policy assignments
  • Monitor wireless network activity
  • Manage infrared communication


Access Active Directory-based wireless network policies

Microsoft Windows Graphic

To access Active Directory-based wireless network policies

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click the domain or organizational unit for which you want to set Group Policy.

    Where?

    • Active Directory Users and Computers [DomainControllerName.DomainName]
    • Domain
    • OrganizationalUnit
    • ChildOrganizationalUnit...
  3. Click Properties, and then click the Group Policy tab.
  4. Click Edit to open the Group Policy object that you want to edit. Or, click New to create a new Group Policy object, and then click Edit.
  5. In the Group Policy console tree, click Wireless Network (IEEE 802.11) Policies.

    Where?

    • PolicyName [ComputerName] Policy
    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Wireless Network (IEEE 802.11) Policies

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have permission to edit Group Policy objects (for information, see Related Topics). As a security best practice, consider using Run as to perform this procedure.
  • XOX
  • In Wireless Network (IEEE 802.11) Policies, you can add, edit, or remove wireless network policies, define preferred wireless networks, and define 802.1X authentication. For more information, see Related Topics.
  • You can define only one wireless network policy for a domain or an organizational unit. If a wireless network policy already exists, the option to create a new wireless network policy will not be available.

Related Topics


Define Active Directory-based wireless network policies

  • Add, edit, or remove Active Directory-based wireless network policies
  • Define preferred wireless networks in Group Policy
  • Define 802.1X authentication for wireless networks in Group Policy


Add, edit, or remove Active Directory based-wireless network policies

Microsoft Windows Graphic

To add, edit, or remove Active Directory-based wireless network policies

  1. In Wireless Network (IEEE 802.11) Policies, choose whether to add a new policy or edit or remove an existing one:
    • To add a new policy, click Wireless Network (IEEE 802.11) Policies. Next, on the Action menu, click Create Wireless Network Policy. Follow the instructions in the Wireless Network Policy Wizard until the Properties dialog box for your new policy appears.
    • To edit an existing policy, right-click the policy that you want to edit, and then click Properties.
    • To remove an existing policy, right-click the policy that you want to delete, and then click Delete.
  2. If you are adding or editing a policy, in Properties, click the General tab, and then do any of the following:
    • To name the policy or change the existing name of the policy, type a unique name in Name.
    • To provide a description of the wireless network policy, such as which groups or domains it affects, type a description in Description.
    • To specify how often Active Directory is polled for updates, type a value in Check for policy changes every number minutes.
    • To specify the type of wireless network that clients can access, click a network type in the Networks to access list.
    • To allow clients to use Windows to configure their wireless network settings, select the Use Windows to configure wireless network settings for clients check box. This check box is selected by default. For information about this option, see Notes.

      • Or, to prevent clients from using Windows to configure their wireless network settings, clear the Use Windows to configure wireless network settings for clients check box.

    • To allow clients to automatically connect to available networks that do not appear on the Preferred Networks tab, select the Automatically connect to non-preferred networks check box.

      • Or, to ensure that clients connect only to networks that appear on the Preferred Networks tab, clear the Automatically connect to non-preferred networks check box.

  3. If you are adding or editing a policy, click the Preferred Networks tab, and do any of the following:
    • To change the order in which connection attempts to preferred wireless networks are made, click the wireless network that you want to move to a new position on the list, and then click Move Up or Move Down.
    • To specify a new preferred wireless network, click Add, and then configure the settings as needed. For more information, see Related Topics.
    • To change the settings for a preferred wireless network, click the wireless network for which you want to change settings, click Edit, and then change the settings as needed. For more information, see Related Topics.
    • To remove a wireless network from the list of preferred networks, under Networks, click the wireless network that you want to remove, and then click Remove.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For information about how to define 802.1X authentication settings in Group Policy, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have permission to edit Group Policy objects (for more information, see Related Topics). As a security best practice, consider using Run as to perform this procedure.
  • To open Wireless Network (IEEE 802.11) Policies, you must access Active Directory-based wireless network policies. For more information, see Related Topics.
  • When you allow clients to use Windows to configure their wireless network settings, they can connect to the wireless networks that you specify, and they are notified when new wireless networks are available. After the client selects a wireless network, the Windows Configuration service automatically configures the wireless network adapter to match the settings of that network, and a network connection attempt is made. For more information, see Related Topics.

Related Topics


Define preferred wireless networks in Group Policy

Microsoft Windows Graphic

To define preferred wireless networks in Group Policy

  1. In Wireless Network (IEEE 802.11) Policies, double-click the wireless network policy that you want to configure.
  2. On the Preferred Networks tab, choose whether to add a new preferred wireless network or edit or remove an existing one:
    • To add a new preferred wireless network, click Add.
    • To edit an existing preferred wireless network, click Edit.
    • To remove an existing preferred wireless network, click Remove.
  3. If you are adding or editing a preferred wireless network, in Properties, click the Network Properties tab, and then do any of the following:
    • To name the preferred wireless network or to change the existing name, type a unique name in Name.
    • To provide a description of the preferred wireless network, such as the type of network, whether a network key is required, and whether IEEE 802.1X authentication is enabled, type a description in Description.
    • If a network key is required to connect to the preferred wireless network, do the following:
      • To specify that a network key is used to encrypt the data that is sent over the network for Wired Equivalent Privacy (WEP), select the Data encryption (WEP enabled) check box. This check box is selected by default.
      • To specify that a network key is used for authentication to the wireless network, select the Network authentication (Shared mode) check box. If you do not select this check box, open system authentication is used. For more information, see Notes.
      • To specify that a network key is automatically provided for clients (for example, if you are using 802.1X for dynamic key distribution), select the The key is provided automatically check box.
    • If the preferred wireless network connection that you are configuring is to a computer-to-computer (ad hoc) network, select the This is a computer-to-computer (ad hoc) network; wireless access points are not used check box.
  4. To specify that 802.1X authentication is used for the preferred wireless network connection, click the IEEE 802.1x tab, and then configure configure settings as needed. For more information, see Related Topics.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For information about how to define 802.1X authentication settings in Group Policy, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.
  • For enhanced security and connectivity, do not select the Network authentication (Shared mode) check box. When this check box is selected, shared key authentication is used, rather than open system authentication. Shared key authentication is less secure than open system authentication because it requires the exchange of a secret key that is shared by all wireless access points and clients and therefore is more vulnerable to known-text attacks. In addition, if you select this check box for a wireless network that has multiple wireless access points, clients will lose network connectivity when they travel from one wireless access point to a new wireless access point.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have permission to edit Group Policy objects (for more information, see Related Topics). As a security best practice, consider using Run as to perform this procedure.
  • To open Wireless Network (IEEE 802.11) Policies, you must access Active Directory-based wireless network policies. For more information, see Related Topics.
  • If the Network authentication (Shared mode) check box is not selected (that is, if open system authentication is used), no authentication is provided. Open system authentication only performs identity verification.

Related Topics


Define 802.1X authentication for wireless networks in Group Policy

Microsoft Windows Graphic

To define 802.1X authentication for wireless networks in Group Policy

  1. In Wireless Network (IEEE 802.11) Policies, double-click the wireless network policy for which you want to configure 802.1X authentication.
  2. On the Preferred Networks tab, under Networks, choose whether to configure 802.1X authentication for an existing wireless network or for a new wireless network:
    • To configure 802.1X authentication for an existing wireless network, click the wireless network for which you want to configure 802.1X authentication, and then click Edit.
    • To configure 802.1X authentication for a new wireless network, click Add.
  3. On the IEEE 802.1x tab, do one of the following:
    • To enable IEEE 802.1X authentication for this wireless network, select the Enable network access control using IEEE 802.1x check box. This check box is selected by default.
    • To disable IEEE 802.1X authentication for this wireless network, clear the Enable network access control using IEEE 802.1x check box.
  4. In EAPOL-Start message, specify whether to transmit Extensible Authentication Protocol over LAN (EAPOL)-Start message packets and, if so, how to transmit them.
  5. In Parameters (seconds), specify EAPOL-Start message packet parameters.
  6. In EAP type, click the EAP type to be used with this wireless network.
  7. If you select Smart Card or other certificate in EAP type, click Settings and, in Smart Card or other Certificate Properties, do the following:
    • To allow wireless clients to use the certificate that resides on their smart card for authentication, click Use my smart card.
    • To allow wireless clients to use the certificate that resides in the certificate store on their computer for authentication, click Use a certificate on this computer, and then specify whether to use simple certificate selection.
    • To verify that the server certificate presented to client computers is still valid, select the Validate server certificate check box, click the Connect to these servers check box, specify the server or servers to which client computers will automatically connect, and then specify the trusted root certification authorities.
    • To allow users to view detailed information about the selected root certification authority, click View Certificate.
    • To allow users to specify a different user name when the user name in their smart card or certificate is not the same as the user name in the domain to which they are logging on, select the Use a different user name for the connection check box.
  8. If you select Protected EAP (PEAP) in EAP type, click Settings, and then do the following:
    • To verify that the server certificate presented to client computers is still valid, select the Validate server certificate check box, click the Connect to these servers check box, specify the server or servers to which client computers will automatically connect, and then specify the trusted root certification authorities.
    • In Select Authentication Method, click the authentication method that clients are to use within PEAP, and then click Configure.
      • If you selected Secured password (EAP-MSCHAP v2), in EAP MSCHAPv2 Properties, specify whether to use the user name and password (and domain, if applicable) that users on client computers type in the Windows logon screen for authentication, and then click OK.
      • If you selected Smart Card or other certificate, in Smart Card or other Certificate Properties, configure the settings as needed by following the instructions in step 7, and then click OK.
    • To enable fast reconnect for wireless clients, select the Enable Fast Reconnect check box. For more information about PEAP fast reconnect, see Notes.
  9. On the IEEE 802.1x tab, do the following:
    • To specify that client computers attempt authentication to the network if user information or computer information is not available, select the Authenticate as guest when user or computer information is unavailable check box.
    • To specify that client computers attempt authentication to the network if a user is not logged on, select the Authenticate as computer when computer information is available check box, and in Computer authentication, click an option to specify how the computer should attempt authentication. For information about each of the options that you can select for Computer authentication, see Notes.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.

Notes

  • To perform this procedure, you must be a member of the Domain Admins group in Active Directory, or you must have permission to edit Group Policy objects (for more information, see Related Topics). As a security best practice, consider using Run as to perform this procedure.
  • To open Wireless Network (IEEE 802.11) Policies, you must access Active Directory-based wireless network policies. For more information, see Related Topics.
  • To define 802.1X authentication, you must select an existing preferred wireless network, or you must define a new preferred wireless network. For information about how to define preferred wireless networks, see Related Topics.
  • PEAP fast reconnect allows roaming users to maintain continuous wireless network connectivity when traveling between different wireless access points on the same network, as long as each wireless access point is configured as a client of the same IAS (RADIUS) server. In addition, both the wireless client and the RADIUS server must have fast reconnect enabled.
  • If you select the Authenticate as computer when computer information is available check box, you can select one of the following options:
    • With user authentication. When this option is selected, when users are not logged on to the computer, authentication is performed using the computer credentials. After a user logs on to the computer, authentication is maintained using the computer credentials. If a user travels to a new wireless access point, authentication is performed using the user credentials.
    • With user re-authentication (recommended). When this option is selected, when users are not logged on to the computer, authentication is performed using the computer credentials. After a user logs on to the computer, authentication is performed using the user credentials. When a user logs off of the computer, authentication is performed using the computer credentials.
    • Computer only. When this option is selected, authentication is always performed using the computer credentials. User authentication is never performed.

Related Topics


Define wireless network policies on a client computer

  • Use Windows to configure wireless network settings on a client computer
  • Add, edit, or remove wireless network connections on a client computer
  • Define a wireless network connection on a client computer
  • Define 802.1X authentication for wireless networks on a client computer
  • Connect to an available wireless network


Use Windows to configure wireless network settings on a client computer

Microsoft Windows Graphic

To use Windows to configure wireless network settings on a client computer

  1. Open Network Connections.
  2. Right-click Wireless Network Connection, and then click Properties.
  3. Click the Wireless Networks tab.
  4. On the Wireless Networks tab, do one of the following:
    • To use Windows to configure wireless network settings on your computer, select the Use Windows to configure my wireless network settings check box. This check box is selected by default. For information about this option, see Notes.
    • If you do not want to use Windows to configure wireless network settings on your computer, clear the Use Windows to configure my wireless network settings check box.

Notes

  • XOX
  • XOX
  • When you select the Use Windows to configure my wireless network settings check box, you enable the Wireless Configuration service. When the Wireless Configuration service is enabled, you can connect to an existing wireless network, change wireless network connection settings, configure a new wireless network connection, and specify preferred wireless networks. You will be notified when new wireless networks are available. After you select a wireless network, your wireless network adapter will be automatically configured to match the settings of that network, and a network connection attempt will be made.
  • The Wireless Networks tab appears only if you are using a wireless network adapter that supports the Wireless Configuration service. If you are unsure whether your wireless network adapter supports the Wireless Configuration service, contact the wireless network adapter manufacturer.
  • For more information about configuring wireless network settings, including information about the Wireless Configuration service, see Related Topics.
  • If you are using non-Microsoft wireless networking software to configure wireless network settings, clear the Use Windows to configure my wireless network settings check box.

Related Topics


Add, edit, or remove wireless network connections on a client computer

Microsoft Windows Graphic

To add, edit, or remove wireless network connections on a client computer

  1. Open Network Connections.
  2. Right-click Wireless Network Connection, and then click Properties.
  3. Click the Wireless Networks tab.
  4. Choose whether to add, modify, or remove a wireless network connection:
    5. To | Do this
Add a new wireless network connection | Select the Use Windows to configure my network settings check box, and then click Add.
Modify an existing wireless network connection | Select the Use Windows to configure my network settings check box. Under Preferred networks, click the wireless network connection that you want to modify, and then click Properties.
Remove a preferred wireless network connection | Under Preferred networks, click the wireless network connection that you want to remove, and then click Remove.
  5. If you are adding or modifying a wireless network connection, click the Association tab, configure wireless network settings as needed, and then click OK. For more information, see Related Topics.
  6. To define 802.1X authentication for the wireless network connection, click the Authentication tab, and then configure the settings as needed, and then click OK. For more information, see Related Topics.
  7. To connect to a wireless network after configuring network settings, on the Wireless Networks tab, under Available networks, click the network name, click Configure, and then, in Wireless network properties, click OK.

    Important

    • If a network does not broadcast its network name, it does not appear under Available networks. To connect to an access point (infrastructure) network that you know is available but that does not appear under Available networks, click Add. On Association, type the network name, and if needed, configure additional network settings.
  8. To change the order in which connection attempts to preferred networks are made, under Preferred networks, click the wireless network that you want to move to a new position in the list, and then click Move up or Move down until the wireless network is at the required position.
  9. To update the list of available networks that are within range of your computer, click Refresh.
  10. To automatically connect to available networks that do not appear in the Preferred networks list, click Advanced, and then select the Automatically connect to non-preferred networks check box.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For more information, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.
  • If you attempt to connect to a computer-to-computer network or an access point network that does not require the use of a network key, the settings in the Authentication tab are not available, and you cannot configure 802.1X authentication for the connection.

Notes

  • XOX
  • XOX
  • The Wireless Networks tab appears only if you are using a wireless network adapter that supports the Wireless Configuration service. If you are unsure whether your wireless network adapter supports the Wireless Configuration service, contact the wireless network adapter manufacturer. For more information about automatic wireless network configuration, see Related Topics.
  • If you are unable to connect to an existing wireless network, and the name of the network that you want to connect to appears under the Preferred networks list, click the network, and then click Properties. In Wireless Network Properties, review the settings to ensure that they are correct.
  • If the Preferred networks list includes both access point (infrastructure) and computer-to-computer (ad hoc) networks, you cannot move a computer-to-computer network to a position in the list that is higher than the position of an access point network.
  • If you want to connect to a computer-to-computer (ad hoc) network, and both computer-to-computer and access point (infrastructure) networks are within range of your computer, click Advanced, and then click Computer-to-computer (ad hoc) networks only.

Related Topics


Define a wireless network connection on a client computer

Microsoft Windows Graphic

To define a wireless network connection on a client computer

  1. Open Network Connections.
  2. Right-click Wireless Network Connection, and then click Properties.
  3. On the Wireless Networks tab, to add and configure a new wireless network connection, click Add. Or, to reconfigure an existing wireless network connection, click the wireless network connection that you want to reconfigure, and then click Configure.
  4. On the Association tab, in Network name (SSID), type a unique name (also known as a service set identifier).
  5. If a network key is required to connect to the wireless network, do the following:
    • To specify that a network key is used to encrypt the data that is sent over the network for Wired Equivalent Privacy (WEP), select the Data encryption (WEP enabled) check box. This check box is selected by default.
    • To specify that a network key is used for authentication to the wireless network, select the Network Authentication (Shared mode) check box.
    • If the network key is automatically provided for you (for example, if 802.1X is being used for dynamic key distribution), leave Network key blank.
    • If the network key is not automatically provided for you, in Network key, type the key, and then type it again in Confirm network key. For information about how to specify a network key, see Notes.
    • To specify the location where the network key is stored, in Key index, type a number, or click the arrows to select a number.
  6. If the network connection that you are configuring is to a computer-to-computer (ad hoc) network, select the This is a computer-to-computer (ad hoc) network; wireless access points are not used check box.
  7. To specify that 802.1X authentication is used for the wireless network connection, click the Authentication tab, and then configure settings as needed. For more information, see Related Topics.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For more information, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.
  • If you attempt to connect to a computer-to-computer network or an access point network that does not require the use of a network key, the settings in the Authentication tab are not available, and you cannot configure 802.1X authentication for the connection.
  • To enhance security and connectivity, do not select the Network Authentication (Shared mode) check box. When this check box is selected, shared key authentication is used, rather than open system authentication. Shared key authentication is less secure than open system authentication because it requires the exchange of a secret key that is shared by all wireless access points and clients and therefore is more vulnerable to known-text attacks. In addition, if you select this check box for a wireless network that has multiple wireless access points, you will lose network connectivity when you travel from one wireless access point to a new wireless access point. To determine whether the wireless network you are connecting to has multiple wireless access points, use Wireless Monitor. For information about how to use Wireless Monitor to view details about wireless access points, see Related Topics.

Notes

  • XOX
  • XOX
  • The Wireless Networks tab appears only if you are using a wireless network adapter that supports the Wireless Configuration service. If you are unsure whether your wireless network adapter supports the Wireless Configuration service, contact the wireless network adapter manufacturer. For more information about using Windows to configure wireless network settings on your computer, see Related Topics.
  • You must type a network key in hexadecimal or ASCII format. If you use hexadecimal format, specify a key that is 10 or 26 characters in length. If you use ASCII format, specify a key that is 5 or 13 characters in length.

Related Topics


Define 802.1X authentication for wireless networks on a client computer

Microsoft Windows Graphic

To define 802.1X authentication for wireless networks on a client computer

  1. Open Network Connections.
  2. Right-click Wireless Network Connection, and then click Properties.
  3. On the Wireless Networks tab, under Preferred networks, click the wireless network connection for which you want to configure 802.1X authentication, and then click Properties.
  4. On the Authentication tab, do one of the following:
    • To enable IEEE 802.1X authentication for this connection, select the Enable IEEE 802.1x authentication for this network check box. This check box is selected by default.
    • To disable IEEE 802.1X authentication for this connection, clear the Enable IEEE 802.1x authentication for this network check box.
  5. In EAP type, click the Extensible Authentication Protocol (EAP) type to be used with this connection.
  6. If you select Smart Card or other Certificate in EAP type, click Properties and, in Smart Card or other Certificate Properties, do the following:
    • To use the certificate that resides on your smart card for authentication, click Use my smart card.
    • To use the certificate that resides in the certificate store on your computer for authentication, click Use a certificate on this computer, and then specify whether to use simple certificate selection.
    • To verify that the server certificate presented to your computer is still valid, select the Validate server certificate check box, specify the server or servers to which your computer will automatically connect, and then specify the trusted root certification authorities.
    • To view detailed information about the selected root certification authority, click View Certificate.
    • To use a different user name when the user name in the smart card or certificate is not the same as the user name in the domain to which you are logging on, select the Use a different user name for the connection check box.
  7. If you select Protected EAP (PEAP) in EAP type, click Properties, and then do the following:
    • To verify that the server certificate presented to your computer is still valid, select the Validate server certificate check box, specify the server or servers to which your computer will automatically connect, and then specify the trusted root certification authorities.
    • In Select Authentication Method, click the authentication method that you want to use within PEAP, and then click Configure.
      • If you select Secured password (EAP-MSCHAP v2), then, in EAP MSCHAP v2 Properties, specify whether to use the user name and password (and domain, if applicable) that you type in the Windows logon screen for authentication, click OK, and then click OK again.
      • If you select Smart Card or other certificate, then, in Smart Card or other Certificate Properties, configure the settings as needed by following the instructions in step 6, click OK, and then click OK again.
  8. On the Authentication tab, do the following:
    • To specify that the computer attempt authentication to the network if a user is not logged on, select the Authenticate as computer when computer information is available check box. This check box is selected by default.
    • To specify that the computer attempt authentication to the network if user information or computer information is not available, select the Authenticate as guest when user or computer information is unavailable check box.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For more information, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.
  • If you attempt to connect to a computer-to-computer network or an access point network that does not require the use of a network key, the settings in the Authentication tab are not available, and you cannot configure 802.1X authentication for the connection.

Notes

  • XOX
  • XOX
  • To define 802.1X authentication, you must select an existing wireless network connection, or you must add a new wireless network connection. For information about how to add a new wireless network connection, see Related Topics.

Related Topics


Connect to an available wireless network

Microsoft Windows Graphic

To connect to an available wireless network

  1. Right-click the network connection icon in the notification area, and then click View Available Wireless Networks.
  2. In Wireless Network Connection, under Available wireless networks, click the wireless network that you want to connect to, and then do the following:

    If a network key is required

    • If the network key is automatically provided for you (for example, if 802.1X is being used for dynamic key distribution), leave Network key blank.
    • If the network key is not automatically provided for you, in Network key, type the key, and then type it again in Confirm network key.
    • To enable or disable IEEE 802.1X for the wireless network connection, do one of the following:
      • To enable IEEE 802.1X authentication, select the Enable IEEE 802.1x authentication for this network check box. This check box is selected by default.
      • To disable IEEE 802.1X authentication, select the Enable IEEE 802.1x authentication for this network check box.

    If a network key is not required

    • Select the Allow me to connect to the selected wireless network even though it is not secure check box.
  3. Click Connect.
  4. To configure additional wireless network connection settings, or if you are having difficulty making a connection to the wireless network that you selected, click Advanced, and then configure the settings in the Wireless Networks tab. For more information, see Notes.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. 802.1X is an IEEE standard that enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For more information, see Related Topics.
  • For enhanced security, in XOX Service Pack 1 and in the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points. For additional information about security for wireless networks, see Related Topics.
  • If you attempt to connect to a computer-to-computer network or an access point network that does not require the use of a network key, the settings in the Authentication tab are not available, and you cannot configure 802.1X authentication for the connection.

Notes

  • XOX
  • On the Wireless Networks tab, you can view and modify additional wireless configuration settings. However, this tab appears only if you are using a wireless network adapter that supports the Wireless Configuration service. For more information, see Related Topics.
  • You must type a network key in hexadecimal or ASCII format. If you use hexadecimal format, specify a key that is 10 or 26 characters in length. If you use ASCII format, specify a key that is 5 or 13 characters in length.

Related Topics


Use Resultant Set of Policy (RSoP) to view wireless network policy assignments

  • Use RSoP to view wireless network policy assignments for a computer
  • Use RSoP to view wireless network policy assignments for members of a Group Policy container


Use RSoP to view wireless network policy assignments for a computer

Microsoft Windows Graphic

To use RSoP to view wireless network policy assignments for a computer

  1. Open Resultant Set of Policy.

    2. An RSoP query runs in logging mode. For more information, see Related Topics.

  2. In the console tree, click Wireless Network (IEEE 802.11) Policies.

    Where?

    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Wireless Network (IEEE 802.11) Policies

    3. The list of all wireless network policies is displayed in the details pane.

  3. To view detailed policy settings for the wireless network policy that is being applied, in the details pane, right-click the policy with the highest precedence, and then click Properties.

Notes

  • To open RSoP, click Start, click Run, type rsop.msc, and then click OK.
  • To run an RSoP query in logging mode, see Related Topics.
  • The RSoP console displays detailed wireless network policy settings for only the policy that is being applied. The detailed policy settings include the list of preferred wireless networks that clients can connect to and, for each preferred wireless network, the wireless network key settings, whether 802.1X authentication is enabled, and, if so, the authentication settings.
  • The details pane in RSoP provides two ways to indicate which wireless network policy is being applied:
    • The lower the number in the Precedence column, the higher the precedence of the wireless network policy. The wireless network policy with a precedence number of 1 is the policy that is being applied.
    • In the Name column, the folder icon that precedes the name of the wireless network policy that is being applied contains a green dot.
  • To hide or display columns in the RSoP console, see Related Topics.

Related Topics


Use RSoP to view wireless network policy assignments for members of a Group Policy container

Microsoft Windows Graphic

To use RSoP to view wireless network policy assignments for members of a Group Policy container

  1. On a domain controller, open Resultant Set of Policy (RSoP) as a Microsoft Management Console (MMC). For more information, see Related Topics.
  2. On the Action menu, click Generate RSoP Data.
  3. On the Welcome to the Resultant Set of Policy Wizard page, click Next.
  4. On the Mode Selection page, click Planning mode, and then follow the instructions in the wizard to run a planning mode query. For more information, see Related Topics.
  5. In the console tree, click Wireless Network (IEEE 802.11) Policies.

    Where?

    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Wireless Network (IEEE 802.11) Policies

    6. The list of all wireless network policies is displayed in the details pane.

  6. To view detailed policy settings for the wireless network policy that is being applied, in the details pane, right-click the policy with the highest precedence, and then click Properties.

Notes

  • The RSoP console only displays detailed wireless network policy settings for only the policy that is being applied. The detailed policy settings include the list of preferred wireless networks that clients can connect to, and for each preferred wireless network, the wireless network key settings, whether 802.1X authentication is enabled, and if so, the authentication settings.
  • The details pane in RSoP provides two ways to indicate which wireless network policy is being applied:
    • The lower the number in the Precedence column, the higher the precedence of the wireless network policy. The wireless network policy with a precedence number of 1 is the policy that is being applied.
    • In the Name column, the folder icon that precedes the name of the wireless network policy that is being applied contains a green dot.
  • You can run an RSoP planning mode query only on a domain controller (when you run a planning mode query, you must specify the name of the domain controller). However, you can specify any wireless network client as the target for the query, provided you have the appropriate permissions to do so.
  • To hide or display columns in the RSoP console, see Related Topics.

Related Topics


Monitor wireless network activity

  • Add the Wireless Monitor snap-in
  • Enable or disable Wireless Client Information logging
  • Delete Wireless Client Information logs
  • View details about wireless network access points
  • View details about wireless network clients


Add the Wireless Monitor snap-in

Microsoft Windows Graphic

To add the Wireless Monitor snap-in

  1. Click Start, click Run, type MMC, and then click OK.
  2. Click File, click Add/Remove Snap-in, and then click Add.
  3. In the Add Standalone Snap-in dialog box, click Wireless Monitor, and then click Add.
  4. Click Close, and then click OK.

Notes

  • XOX
  • To save the console settings, on the File menu, click Save.
  • To open a saved console file, open MMC. For more information, see Related Topics.

Related Topics


Enable or disable Wireless Client Information logging

Microsoft Windows Graphic

To enable or disable Wireless Client Information logging

  1. Create a console containing Wireless Monitor. Or, open a saved console file containing Wireless Monitor.
  2. Double-click Wireless Client Information.

    Where?

    • Wireless Monitor
    • ServerName
    • Wireless Client Information
  3. Right-click Wireless Client Information, and then do one of the following:
    • To disable logging for wireless network clients, click Disable Logging.
    • To enable logging for wireless network clients, click Enable Logging.

Notes

  • XOX
  • XOX
  • For information about the items displayed in Wireless Monitor, see Related Topics.

Related Topics


Delete Wireless Client Information logs

Microsoft Windows Graphic

To delete Wireless Client Information logs

  1. Create a console containing Wireless Monitor. Or, open a saved console file containing Wireless Monitor.
  2. Double-click Wireless Client Information.

    Where?

    • Wireless Monitor
    • ServerName
    • Wireless Client Information
  3. Right-click Wireless Client Information, and then click Delete Logs.

Notes

  • XOX
  • XOX
  • For information about the items displayed in Wireless Monitor, see Related Topics.

Related Topics


View details about wireless network access points

Microsoft Windows Graphic

To view details about wireless network access points

  1. Create a console containing Wireless Monitor. Or, open a saved console file containing Wireless Monitor.
  2. Double-click Access Point Information.

    Where?

    • Wireless Monitor
    • ServerName
    • Access Point Information

Notes

  • XOX
  • XOX
  • For information about the items displayed in Wireless Monitor, see Related Topics.

Related Topics


View details about wireless network clients

Microsoft Windows Graphic

To view details about wireless network clients

  1. Create a console containing Wireless Monitor. Or, open a saved console file containing Wireless Monitor.
  2. Double-click Wireless Client Information.

    Where?

    • Wireless Monitor
    • ServerName
    • Wireless Client Information

Notes

  • XOX
  • XOX
  • For information about the items displayed in Wireless Monitor, see Related Topics.

Related Topics


Manage infrared communication

  • Set up the computer for infrared communication
  • Configure infrared communication
  • Use infrared for dial-up or direct network connections
  • Send files over an infrared link
  • Print to an infrared printer
  • Transfer images from a digital camera to your computer


Set up the computer for infrared communication

  • Verify infrared support on a computer
  • Add a new infrared device to a serial port
  • View infrared device properties
  • Establish an infrared link


Verify infrared support on a computer

Microsoft Windows graphic

To verify infrared support on a computer

  1. Verify that your computer has an infrared transceiver (the transceiver will appear as a small, dark red window).

    2. If your computer does not have an infrared transceiver, see your manufacturer's documentation to verify whether IrDA functionality is supported.

  2. Open Device Manager.
  3. Double-click Infrared Devices.

    If you have an infrared transceiver, but Infrared Devices does not appear in Device Manager, you do not have an infrared device installed.

    If no infrared devices are listed, do one or both of the following:

    • Enter BIOS setup to verify whether the infrared device is enabled in BIOS, in IrDA, or Fast IrDA (FIR) mode. For information about how to enter BIOS setup, see your computer manufacturer's documentation. If the infrared device is disabled in BIOS, you might be able to use your computer's BIOS setup to enable it.

        • Caution

        Using a BIOS setup utility incorrectly can cause your computer to operate incorrectly. Microsoft cannot guarantee that problems resulting from the incorrect use of the BIOS setup can be solved. Use this utility at your own risk. Before you make any changes, make a note of the original settings so that you can reinstate them if necessary.

    • See your computer manufacturer's documentation to determine whether the BIOS needs to be updated.

  4. Verify that at least one infrared device is listed and that it is enabled.

    5. If infrared devices are listed but they are not enabled, verify that the infrared devices are installed correctly on your computer. For more information see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • Infrared transceivers are now installed in nearly all new portable computers. If your computer does not have an infrared transceiver, but it supports IrDA, and IrDA is enabled in BIOS, you can install an external infrared transceiver.

Related Topics


Add a new infrared device to a serial port

Microsoft Windows graphic

To add a new infrared device to a serial port

  1. Connect the infrared device to a serial port on your computer, and note the serial port number (typically COM1 or COM2).
  2. In Control Panel, open Add Hardware.
  3. In Welcome to the Add Hardware Wizard, click Next.
  4. In Is the hardware connected?, click Yes, I have already connected the hardware, and then click Next.
  5. In Installed hardware, click Add a new hardware device, and then click Next.
  6. In The wizard can help you install other hardware, click Install the hardware that I manually select from a list, and then click Next.
  7. In Common hardware types, click Infrared devices, and then click Next.
  8. In Select Infrared Device, do one of the following:
    • If you do not have an installation disk for the infrared device, under Manufacturer, click the manufacturer, under Infrared Device, click the infrared device, and then click Next.
    • If you have an installation disk for a compatible driver, click Have Disk, insert the disk, click Next, and then follow any additional instructions to install the device.
  9. In The wizard is ready to install your hardware, click Next.
  10. In Infrared Device Installation, select the serial port to which your infrared device is attached, and then click Next.

Important

  • For enhanced security, performance, and stability, it is recommended that you use only signed device drivers. For more information, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • This procedure applies only if an infrared device was not installed automatically when you turned on your computer. Typically, USB, PCMCIA, and other Plug and Play compliant infrared devices are automatically detected and installed. These devices do not need additional configuration to be installed.

Related Topics


View infrared device properties

Microsoft Windows graphic

To view infrared device properties

  1. Open Wireless Link in Control Panel.
  2. On the Hardware tab, click the infrared device for which you want to view properties, and then click Properties.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If a device that is connected to your computer is not listed, you need to add it. For more information, see Related Topics.
  • The infrared device Properties dialog box shows the device status, driver files, and power management settings for an infrared device.

Related Topics


Establish an infrared link

Microsoft Windows graphic

To establish an infrared link

  1. Verify that the devices that you want to communicate over an infrared link have infrared functionality enabled and work correctly.

    2. For information about verifying infrared functionality on your computer, see Related Topics. For information about verifying infrared functionality on other devices, see the device manufacturer's documentation.

  2. Align your devices so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other.

    3. When the devices are correctly aligned, the Infrared taskbar status icon icon appears on the taskbar.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • The infrared transceiver is the small, dark red window on your portable computer, printer, digital camera, adapter, or other device.
  • You can choose whether to hide or display the Wireless Link taskbar icon when two infrared devices are aligned. By default, the Wireless Link taskbar icon is displayed. For more information, see Related Topics.

Related Topics


Configure infrared communication

  • Enable or prevent receipt of files sent over an infrared link
  • Change the default location for receipt of files sent over an infrared link
  • Hide or display the Wireless Link taskbar icon
  • Enable or disable notification of files received over an infrared link
  • Enable or disable sound notification when an infrared device is nearby
  • Change settings to transfer images from a digital camera


Enable or prevent receipt of files sent over an infrared link

Microsoft Windows graphic

To enable or prevent receipt of files sent over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To enable your computer to receive files from others, select the Allow others to send files to your computer using infrared communications check box. This check box is selected by default.
    • To prevent your computer from receiving files from others, clear the Allow others to send files to your computer using infrared communications check box.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If you clear the Allow others to send files to your computer using infrared communications check box, you can still send files to other computers by using Wireless Link.

Related Topics


Change the default location for receipt of files sent over an infrared link

Microsoft Windows graphic

To change the default location for receipt of files sent over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, under Default location for received files, click Browse.

    3. By default, files that are sent over an infrared link are copied to the desktop of the recipient computer.

  3. Enter a new location, and then click OK.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.

Related Topics


Hide or display the Wireless Link taskbar icon

Microsoft Windows graphic

To hide or display the Wireless Link taskbar icon

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To hide the Wireless Link taskbar icon, clear the Display an icon on the taskbar indicating infrared activity check box. This check box is selected by default.
    • To display the Wireless Link taskbar icon, select the Display an icon on the taskbar indicating infrared activity check box.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • When another infrared transceiver is in range, this option causes the Infrared status icon icon to appear on the taskbar. The icon changes to Infrared receive status icon whenever the infrared connection is active. To display the current status of the connection, move the mouse pointer over the icon.
  • To open the properties for Wireless Link, right-click the Infrared status icon icon, and then click Properties.
  • To transfer files, right-click the Infrared status icon icon, and then click Transfer Files to open the Wireless Link dialog box.

Related Topics


Enable or disable notification of files received over an infrared link

Microsoft Windows graphic

To enable or disable notification of files received over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • If you do not want to be notified when you receive files over an infrared link, clear the Notify me when receiving files check box. This check box is selected by default.
    • To be notified when you receive files sent over an infrared link, select the Notify me when receiving files check box.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If the Notify me when receiving files check box is selected, the Wireless Link status dialog box appears when files are being received. The status dialog box indicates that files are being received and shows the name of the computer that is sending the files.

Related Topics


Enable or disable sound notification when an infrared device is nearby

Microsoft Windows Graphic

To enable or disable sound notification when an infrared device is nearby

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To enable sound notification when an infrared device is nearby, select the Play sound when Infrared device is nearby check box. This check box is selected by default.
    • To disable sound notification when an infrared device is nearby, clear the Play sound when Infrared device is nearby check box.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If the Play sound when infrared device is nearby check box is selected, but you do not hear the notification sound, make sure that your infrared devices are correctly aligned and that an infrared link is established. For more information, see Related Topics.

Related Topics


Change settings to transfer images from a digital camera

Microsoft Windows graphic

To change settings to transfer images from a digital camera

  1. Open Wireless Link in Control Panel.
  2. On the Image Transfer tab, select the Use Wireless Link to transfer images from a digital camera to your computer check box.
  3. In Transfer images to a subfolder of, specify the default location for images transferred by Wireless Link.
  4. To automatically open Windows Explorer to the default location after receiving files, select the Explore location after receiving pictures check box.

Caution

  • To enhance security, do not enable infrared image transfer (IrTran-P), that is, do not select the Use Wireless Link to transfer images from a digital camera to your computer check box. If you select this check box, all incoming files sent over IrTran-P are automatically accepted. Because incoming files might contain harmful programs, ensure that the files originate from a trustworthy source. Do not open files if you cannot verify the source, do not recognize the file format, or are unsure of the content. Instead, delete the files immediately. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (IrTran-P). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.

Related Topics


Use infrared for dial-up or direct network connections

  • Make a dial-up connection using an infrared-enabled cellular phone
  • Establish a direct infrared network connection between computers
  • Use an infrared network connection


Make a dial-up connection using an infrared-enabled cellular phone

Microsoft Windows graphic

To make a dial-up connection using an infrared-enabled cellular phone

  1. Make sure that infrared is activated on the cellular phone. To check compatibility, see your cellular phone manufacturer's documentation.
  2. Establish an infrared link between the cellular phone and the computer by aligning them so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  3. If you are establishing an infrared link between the cellular phone and the computer for the first time, the Found New Hardware balloon appears when the cellular phone is detected. Do any of the following before proceeding to step 4:
    • If the device driver for the cellular phone already exists on your computer, the driver is installed automatically, and you are notified that the cellular phone is ready to use.
    • If the device driver for the cellular phone does not already exist on your computer, the Found New Hardware Wizard appears. Do one of the following:
      • If you have a setup or installation disk for the driver files, select Install from a list or specific location (advanced), and then follow the instructions in the wizard.
      • If you do not have a setup or installation disk, select Install software automatically (recommended), and then follow the instructions in the wizard. To complete this task, you need administrative credentials. For more information, see Notes.

      Important

      • If you are installing an unsigned device driver for the cellular phone, a message appears to notify you that the driver is not signed. For enhanced security, performance, and stability, it is recommended that you use only signed device drivers. For more information, see Related Topics.
  4. Open Network Connections.
  5. Double-click New Connection Wizard, and then click Next.
  6. In Network Connection Type, do one of the following:
    • To connect to the Internet, click Connect to the Internet.
    • To connect to a business network, click Connect to the network at my workplace.
  7. Click Next, and then do one of the following:
    • If you are connecting to the Internet, in Internet Connection, click Connect using a dial-up modem, click Next, and then follow the instructions in the remaining wizard pages.
    • If you are connecting to a business network, in Network Connection, click Dial-up connection, click Next, and then follow the instructions in the remaining wizard pages.
  8. To complete the connection, in the Connect connection type dialog box, type your user name and password, and then click Dial.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • To install new driver files on a computer, you must have be a member of the Administrators group on the local computer. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.
  • XOX
  • XOX

Related Topics


Establish a direct infrared network connection between computers

Microsoft Windows graphic

To establish a direct infrared network connection between computers

  1. Open Network Connections.
  2. Double-click New Connection Wizard, and then click Next.
  3. In Network Connection Type, click Advanced connection, and then click Next.
  4. In Advanced Connection Options, click Connect directly to another computer, and then click Next.
  5. In Host or Guest, specify whether this computer is the host or the guest by doing one of the following:
    • If this computer has information that will be accessed by another computer, click Host.
    • If this computer is being used to access information on another computer, click Guest.
  6. Click Next, and then do one of the following:
    • If you specified this computer as a host, in Devices for this connection, select Infrared Port, click Next, and then follow the instructions in the remaining wizard pages.
    • If you specified this computer as a guest, in Connection Name, type the name of the computer that you want to access, and then click Next. In Select a device, select Infrared Port, click Next, and then follow the instructions in the remaining wizard pages.

      • To complete the connection, in the Connect connection type dialog box, type your user name and password, and then click Connect.

Notes

  • XOX
  • XOX
  • XOX
  • To examine or change properties for this connection, right-click its icon in Network Connections.
  • After you add an infrared device, you may have to restart the computer before you can select Infrared Port in step six.

Related Topics


Use an infrared network connection

Microsoft Windows graphic

To use an infrared network connection

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  2. Open Network Connections.
  3. Double-click the connection that you want to use to access the network.
  4. Verify that the connection information is correct, and then click OK.
  5. On the File menu, click Connect.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • When you make a network connection over infrared, the infrared link takes the place of a cable. You do not need to use a serial or parallel cable.

Related Topics


Send files over an infrared link

  • Send files with the Wireless Link dialog box
  • Send files with Send To
  • Send files using the command line
  • Drag files to an infrared link


Send files with the Wireless Link dialog box

Microsoft Windows graphic

To send files with the Wireless Link dialog box

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  2. Click the irdastatus icon on the taskbar.
  3. In the Wireless Link dialog box, specify the files you want to send, and then click Send.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • While another infrared transceiver is in range, you can also double-click the Wireless Link wireless link icon on the desktop to open the Wireless Link dialog box.

Related Topics


Send files with Send To

Microsoft Windows graphic

To send files with Send To

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  2. On the desktop, in Windows Explorer or in My Computer, select the files you want to send.
  3. Right-click the selected files, point to Send To, and then click Nearby Computer.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • If Nearby Computer does not appear on the Send To menu (as described in step 3 of this procedure), make sure that your infrared devices are correctly aligned and that an infrared link is established. The Nearby Computer menu command only appears when an infrared link is active.

Related Topics


Send files using the command line

Microsoft Windows graphic

To send files using the command line

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  2. Open Command Prompt.
  3. At the command prompt, type:

    irftp [Drive:] [[Path] FileName] [/h]

    4. Value | Description
Drive: | Specifies the drive that contains the files that you want to send over an infrared link.
[Path] FileName | Specifies the location and name of the file or set of files that you want to send over an infrared link.
/h | Specifies hidden mode. When hidden mode is used, the Wireless Link dialog box does not display when the files are sent.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • If you do not specify a drive, a path, and a name for the file or set of files that you want to send, the Wireless Link dialog box opens, so that you can select the files without using the command line.
  • For information about other command-line utilities or manageability, see Related Topics.

Related Topics


Drag files to an infrared link

Microsoft Windows graphic

To drag files to an infrared link

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  2. In Windows Explorer, in My Computer, or on the desktop, select one or more files.
  3. Drag the selected files onto the wireless link desktop icon, which represents the wireless connection.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX

Related Topics


Print to an infrared printer

Microsoft Windows graphic

To print to an infrared printer

  1. Verify that the infrared printer you want to use is correctly installed.
  2. Establish an infrared link between the computer and the printer by aligning them so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see Related Topics.
  3. Open the document that you want to print, and then proceed with printing
    4. .

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX

Related Topics


Transfer images from a digital camera to your computer

Microsoft Windows graphic

To transfer images from a digital camera to your computer

  1. Open Wireless Link in Control Panel.
  2. On the Image Transfer tab, select the Use Wireless Link to transfer images from a digital camera to your computer check box.
  3. Establish an infrared link by aligning your computers so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information about establishing infrared links, see Related Topics.
  4. Refer to the camera manufacturer's instructions to select and transfer images.

Caution

  • To enhance security, do not enable infrared image transfer (IrTran-P), that is, do not select the Use Wireless Link to transfer images from a digital camera to your computer check box. If you select this check box, all incoming files sent over IrTran-P are automatically accepted. Because incoming files might contain harmful programs, ensure that the files originate from a trustworthy source. Do not open files if you cannot verify the source, do not recognize the file format, or are unsure of the content. Instead, delete the files immediately. For more information about infrared security considerations, see Related Topics.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • The Wireless Link icon will automatically create a folder for the transferred images, accept the images, and open the folder when the image transfer is completed.
  • Wireless Link cannot initiate the transfer of images. The camera must initiate the transfer of images.
  • To use Wireless Link to transfer images, the camera must support infrared image transfer (IrTran-P). If it does not support this protocol, you need to use a program provided by the camera manufacturer or by another party. If you use another program, make sure you clear the Use Wireless Link to transfer images from a digital camera to your computer check box.
  • If you are using synchronization software, note that certain software will automatically disable IrTran-P. As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.

Related Topics


Concepts

This section provides general background information about wireless networking:

  • Wireless networking overview
  • Wireless Link overview
  • Understanding wireless networking
  • Using wireless networking
  • Resources


Wireless networking overview

Wireless networking technologies range from global voice and data networks, which allow users to establish wireless connections across long distances, to infrared light and radio frequency technologies that are optimized for short-range wireless connections. Devices commonly used for wireless networking include portable computers, desktop computers, hand-held computers, personal digital assistants (PDAs), cellular phones, pen-based computers, and pagers. Wireless technologies serve many practical purposes. For example, mobile users can use their cellular phone to access e-mail. Travelers with portable computers can connect to the Internet through base stations installed in airports, railway stations, and other public locations. At home, users can connect devices on their desktop to synchronize data and transfer files.

Defining standards

To lower costs, ensure interoperability, and promote the widespread adoption of wireless technologies, organizations such as the Institute of Electrical and Electronics Engineers (IEEE), Internet Engineering Task Force (IETF), Wireless Ethernet Compatibility Alliance (WECA), and the International Telecommunication Union (ITU) are participating in several major standardization efforts. For example, IEEE working groups are defining how information is transferred from one device to another (whether radio waves or infrared light is used, for example) and how and when a transmission medium should be used for communications. In developing wireless networking standards, organizations such as the IEEE address power management, bandwidth, security, and issues that are unique to wireless networking.

Wireless network types

As with wired networks, wireless networks can be classified into different types based on the distances over which data can be transmitted.

Wireless wide area networks (WWANs)

WWAN technologies enable users to establish wireless connections over remote public or private networks. These connections can be maintained over large geographical areas, such as cities or countries, through the use of multiple antenna sites or satellite systems maintained by wireless service providers. Current WWAN technologies are known as second-generation (2G) systems. Key 2G systems include Global System for Mobile Communications (GSM), Cellular Digital Packet Data (CDPD), and Code Division Multiple Access (CDMA). Efforts are under way to transition from 2G networks, some of which have limited roaming capabilities and are incompatible with each other, to third-generation (3G) technologies that would follow a global standard and provide worldwide roaming capabilities. The ITU is actively promoting the development of a global standard for 3G.

Wireless metropolitan area networks (WMANs)

WMAN technologies enable users to establish wireless connections between multiple locations within a metropolitan area (for example, between multiple office buildings in a city or on a university campus), without the high cost of laying fiber or copper cabling and leasing lines. In addition, WMANs can serve as backups for wired networks, should the primary leased lines for wired networks become unavailable. WMANs use either radio waves or infrared light to transmit data. Broadband wireless access networks, which provide users with high-speed access to the Internet, are in increasing demand. Although different technologies, such as the multichannel multipoint distribution service (MMDS) and the local multipoint distribution services (LMDS), are being used, the IEEE 802.16 working group for broadband wireless access standards is still developing specifications to standardize development of these technologies.

Wireless local area networks (WLANs)

WLAN technologies enable users to establish wireless connections within a local area (for example, within a corporate or campus building, or in a public space, such as an airport). WLANs can be used in temporary offices or other spaces where the installation of extensive cabling would be prohibitive, or to supplement an existing LAN so that users can work at different locations within a building at different times. WLANs can operate in two different ways. In infrastructure WLANs, wireless stations (devices with radio network cards or external modems) connect to wireless access points that function as bridges between the stations and the existing network backbone. In peer-to-peer (ad hoc) WLANS, several users within a limited area, such as a conference room, can form a temporary network without using access points, if they do not require access to network resources.

In 1997, IEEE approved the 802.11 standard for WLANs, which specifies a data transfer rate of 1 to 2 megabits per second (Mbps). Under 802.11b, which is emerging as the new dominant standard, data is transferred at a maximum rate of 11 Mbps over a 2.4 gigahertz (GHz) frequency band. Another newer standard is 802.11a, which specifies data transfer at a maximum rate of 54 Mbps over a 5 GHz frequency band.

Wireless personal area networks (WPANs)

WPAN technologies enable users to establish ad hoc, wireless communications for devices (such as PDAs, cellular phones, or laptops) that are used within a personal operating space (POS). A POS is the space surrounding a person, up to a distance of 10 meters. Currently, the two key WPAN technologies are Bluetooth and infrared light. Bluetooth is a cable replacement technology that uses radio waves to transmit data to a distance of up to 30 feet. Bluetooth data can be transferred through walls, pockets, and briefcases. Technology development for Bluetooth is driven by the Bluetooth Special Interest Group (SIG), which published the Bluetooth version 1.0 specification in 1999. Alternatively, to connect devices at a very close range (1 meter or less), users can create infrared links.

To standardize the development of WPAN technologies, IEEE has established the 802.15 working group for WPANs. This working group is developing a WPAN standard, based on the Bluetooth version 1.0 specification. Key goals for this draft standard are low complexity, low power consumption, interoperability, and coexistence with 802.11 networks.


Wireless Link overview

After an infrared device is installed, the Wireless Link icon appears in Control Panel. You can use the Wireless Link icon to configure file transfer and image transfer options and then to send files or transfer images quickly and easily over an infrared link.

When another infrared transceiver comes in range, the Wireless Link icon appears on the desktop and on the taskbar. You can then:

  • Send files by specifying a location and one or more files in the Wireless Link dialog box. For more information, see To send files with the Wireless Link dialog box.
  • Send files by dragging file icons to the Wireless Link icon on the desktop and dropping them there. For more information, see To drag files to an infrared link.
  • Transfer images from a digital camera that supports the infrared image transfer (IrTran-P) protocol to your computer. For more information, see To transfer images from a digital camera to your computer.

Note

  • In the Microsoft® Windows® Server 2003 family, only XOX supports infrared networking.


Understanding wireless networking

This section covers:

  • Understanding 802.1X authentication for wireless networks
  • Understanding wireless provisioning service
  • Understanding infrared networking


Understanding 802.1X authentication for wireless networks

802.1X is an IEEE standard for authenticated network access to wired Ethernet networks and wireless 802.11 networks. IEEE 802.1X enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting.

EAP, EAP-TLS, EAP-MS-CHAP v2, and PEAP authentication

The support that 802.1X provides for Extensible Authentication Protocol (EAP) types allows you to choose from several different authentication methods for wireless clients and servers.

EAP

802.1X uses EAP for message exchange during the authentication process. With EAP, an arbitrary authentication method, such as certificates, smart cards, or credentials, is used. EAP allows for an open-ended conversation between an EAP client (such as a wireless computer) and an EAP server (such as an Internet Authentication Service (IAS) server). The conversation consists of requests for authentication information by the server and responses by the client. In order for authentication to be successful, the client and the server must use the same authentication method.

EAP-TLS

EAP-Transport Layer Security (TLS) is an EAP type that is used in certificate-based security environments, and it provides the strongest authentication and key determination method. EAP-TLS provides mutual authentication, negotiation of the encryption method, and encrypted key determination between the client and the authenticating server. If you want to use certificates or smart cards for user and client computer authentication, you must use EAP-TLS or, for enhanced security, Protected EAP (PEAP) with EAP-TLS.

EAP-MS-CHAP v2

EAP-Microsoft Challenge Handshake Authentication Protocol version 2 (MS-CHAP v2) is a mutual authentication method that supports password-based user or computer authentication. During the EAP-MS-CHAP v2 authentication process, both the server and client must prove that they have knowledge of the user's password in order for authentication to succeed. With EAP-MS-CHAP v2, after successful authentication, users can change their passwords, and they are notified when their passwords expire.

Note

  • EAP-MS-CHAP v2 is available only with PEAP.

PEAP

PEAP is an authentication method that uses TLS to enhance the security of other EAP authentication protocols. PEAP provides the following benefits: an encryption channel to protect EAP methods running within PEAP, dynamic keying material generated from TLS, fast reconnect (the ability to reconnect to a wireless access point by using cached session keys, which allows for quick roaming between wireless access points), and server authentication that can be used to protect against the deployment of unauthorized wireless access points.

PEAP authentication process

The PEAP authentication process consists of two main phases:

  1. Server authentication and the creation of a TLS encryption channel. The server identifies itself to a client by providing certificate information to the client. After the client verifies the identity of the server, a master secret is generated. The session keys that are derived from the master secret are then used to create a TLS encryption channel that encrypts all subsequent communication between the server and the wireless client.
  2. EAP conversation and user and client computer authentication. A complete EAP conversation between the client and the server is encapsulated within the TLS encryption channel. With PEAP, you can use any one of several EAP authentication methods, such as passwords, smart cards, and certificates, to authenticate the user and client computer.

The session keys that are generated during the PEAP authentication process provide keying material for the Wired Equivalent Privacy (WEP) encryption keys that encrypt the data that is sent between wireless clients and wireless access points.

You can use PEAP with any of the following authentication methods for wireless authentication:

  • EAP-TLS, which uses certificates for server authentication and either certificates or smart cards for user and client computer authentication.
  • EAP-MS-CHAP v2, which uses certificates for server authentication and credentials for user authentication.
  • Non-Microsoft EAP authentication methods.

Notes

  • PEAP is not supported for use with EAP-MD5.
  • PEAP is available as an authentication method for 802.11 wireless clients, but it is not supported for virtual private network (VPN) clients or other remote access clients. Therefore, you can configure PEAP as the authentication method for a remote access policy only when you are using Internet Authentication Service (IAS).

PEAP support for fast reconnect

When clients connect to an 802.11 wireless network, the authenticated session has a set expiration interval that the network administrator determines to limit the duration of authenticated sessions. To avoid the notices that require authenticated clients to provide their credentials to reauthenticate and resume a session, you can enable the fast reconnect option.

PEAP supports fast reconnect, which allows roaming users to maintain continuous wireless network connectivity when traveling between different wireless access points on the same network, as long as each wireless access point is configured as a client of the same IAS (RADIUS) server. In addition, fast reconnect must be enabled on both the wireless client and the RADIUS server.

After the initial PEAP authentication succeeds, users are not prompted to supply their credentials (if PEAP with EAP-MS-CHAP v2 is used for authentication) or their personal identification number (PIN) (if PEAP with smart cards is used for authentication) each time they travel to a new wireless access point. Instead, when PEAP fast reconnect is enabled, after the initial PEAP authentication succeeds, the client and the server cache TLS session keys. When users associate with a new wireless access point, the client and the server use the cached keys to reauthenticate each other until the cache has expired. Because the keys are cached, the RADIUS server can quickly determine that the client connection is a reconnect. This reduces the delay in time between an authentication request by a client and the response by the RADIUS server. It also resource requirements for the client and the server.

If the original RADIUS server is not used, full authentication must occur, and the user is again prompted for credentials or a PIN. This can occur in the following situations:

  • The user associates with a new wireless access point that is configured as a client of a new RADIUS server.
  • The user associates with the same wireless access point, but the wireless access point forwards the authentication request to a new RADIUS server.

In both situations, after the initial authentication with the new RADIUS server succeeds, the client caches the new TLS session keys. Clients can cache TLS session keys for multiple RADIUS servers.

For more information, see EAP, MS-CHAP version 2, and PEAP.

For more information about configuring the session time-out for wireless remote access policies, see Introduction to remote access policies, Configure remote access policies, and Elements of a remote access policy.

Security and deployment considerations

When choosing an authentication method, balance the level of security that you require with the effort that you want to devote to deployment. For the highest level of security, choose PEAP with certificates (EAP-TLS). For the greatest ease of deployment, choose PEAP with passwords (EAP-MS-CHAP v2).

Although both PEAP with EAP-TLS and EAP-TLS alone provide strong security through the use of certificates for server authentication and either certificates or smart cards for client computer and user authentication, when PEAP with EAP-TLS is used, client certificate information is encrypted. PEAP with EAP-MS-CHAP v2 requires the least effort to deploy because client authentication is password-based, so certificates or smart cards do not need to be installed on clients. Because PEAP creates an end-to-end encrypted channel before EAP-MS-CHAP v2 authentication occurs, the authentication exchange reduces the risk of offline dictionary attacks.

For information about certificate requirements for 802.1X authentication methods, see Network access authentication and certificates. For information about deploying smart cards, see Checklist: Deploying smart cards for logging on to Windows.

Important

  • When you deploy both PEAP and EAP unprotected by PEAP, do not use the same EAP authentication type with and without PEAP. For example, if you deploy PEAP with EAP-TLS (PEAP-EAP-TLS), do not also deploy EAP-TLS without PEAP. Deploying authentication methods with the same type—one with and the other without the protection of PEAP—creates a security vulnerability.
  • Certificate Templates provide a new version 2 certificate template, named Workstation Authentication. This certificate template, which can be configured for auto-enrollment, is available for enterprise certification authorities (CAs) on computers running XOX; XOX; or a 64-bit version of the Windows Server 2003 family. Certificates based on this template allow client computers to authenticate their identity to servers. You should use this certificate template if you are both using certificate-based authentication for wireless clients running XOX and providing an enterprise CA on a computer running XOX; XOX; or a 64-bit version of Windows Server 2003 family. If you use the Computer certificate template in this case, client authentication will fail. For more information, see Certificate Templates and Manage certificate templates for an enterprise certification authority.

How 802.1X works on 802.11 wireless networks

802.1X implements port-based network access control. Port-based network access control uses the physical characteristics of a switched local area network (LAN) infrastructure to authenticate computing devices that are attached to a LAN port and to prevent access to that port when the authentication process fails.

During a port-based network access control interaction, a LAN port adopts one of two roles: authenticator or supplicant. In the role of authenticator, a LAN port enforces authentication before it allows user access to the services that can be accessed through that port. In the role of supplicant, a LAN port requests access to the services that can be accessed through the authenticator's port. An authentication server, which can either be a separate entity or co-located with the authenticator, checks the supplicant's credentials on behalf of the authenticator. The authentication server then responds to the authenticator, indicating whether the supplicant is authorized to access the authenticator's services.

The authenticator’s port-based network access control defines two logical data paths to the LAN through one physical LAN port. The first data path, the uncontrolled port, allows data exchange between the authenticator and a computing device on the LAN, regardless of the authentication state of that device. This is the path that EAPOL (EAP over LAN) messages will take. The second data path, the controlled port, allows data exchange between an authenticated LAN user and the authenticator. This is the path that all other network traffic will take, after the computing device is authenticated.

802.1X and IAS

To support authentication, authorization, and accounting for wireless network connections, you can use 802.1X with IAS. IAS is the Microsoft implementation of a Remote Authentication Dial-in User Service (RADIUS) server and proxy server. When RADIUS is implemented, a wireless access point prevents data traffic from being forwarded to a wired network or to another wireless client without a valid authentication key. The process of obtaining a valid authentication key is as follows:

  1. When a wireless client comes within range of a wireless access point, the wireless access point challenges the client.
  2. The wireless client sends its identity to the wireless access point, which forwards this information to a RADIUS server.
  3. The RADIUS server requests the credentials of the wireless client to verify the identity of the client. As part of this request, the RADIUS server specifies the type of credentials that are required.
  4. The wireless client sends its credentials to the RADIUS server.
  5. The RADIUS server verifies the credentials of the wireless client. If the credentials are valid, the RADIUS server sends an encrypted authentication key to the wireless access point.
  6. The wireless access point uses this authentication key to securely transmit per-station unicast session and multicast authentication keys to the wireless client.

For information about configuring IAS for wireless access authentication, see Checklist: Configuring the IAS server and wireless access points for wireless access and Wireless access.

For information about how to configure 802.1X settings for clients, see To define 802.1X authentication for wireless networks on a client computer.

For general information about security for wireless networks, see Security information for wireless networks.


Understanding wireless provisioning service

Microsoft Windows Graphic

Understanding wireless provisioning services

Wireless Provisioning Services (WPS) are enhancements to wireless networking in XOX and the Windows Server 2003 family. WPS enables wireless networks to provide a consistent sign-up and configuration experience, while providing more secure access to network resources.

When you connect to a wireless network that supports WPS, you are prompted to download additional files that are used by WPS to enable a more secure, consistent and automatic setup. These files are generally safe to download, but the information contained within them might not be accurate. You should verify that the Web site from which the files will be downloaded is one that you expected based on your location, or one that you trust to provide you with the information.

If you choose to download the files, XML files are downloaded from the provider and stored on your computer for as long as you wish to use the wireless network. The files contain no personal information about you or your computer.

If you do not choose to download the files, you cannot connect to the wireless network.

When the files are downloaded, the Wireless Network Registration Wizard requests information from you. Some networks might require payment. Other networks might simply require acknowledgement of a usage policy. Follow the instructions in the Wireless Network Registration Wizard to provide the appropriate information to the network provider.

After you have signed up with a wireless network that supports WPS, the files stored on your computer can be updated automatically. If you choose this option, the wireless provisioning services in your computer will connect to the wireless network provider and update the information stored on your computer. This occurs on a schedule determined by the wireless network provider (typically once a week or once a month). This update process will only occur while you are already connected to the Internet, and will not interfere with your use of your Internet connection. For information about enabling or disabling automatic updates of the WPS information, click Related Topics. If you choose not to update the files automatically, the files for a specific network will be updated the next time you connect to that wireless network (this is required to ensure that your computer has the right information for that network).

For more information about connecting to wireless networks, see Connect to an available wireless network.

For conceptual information about configuring wireless client computer settings, see Configuring wireless network settings on client computers.


Understanding infrared networking

This section covers:

  • Infrared communication
  • Infrared implementation
  • Links between infrared devices

Note

  • XOX


Infrared communication

Infrared communication uses infrared light to transfer data. Infrared light is also used almost universally by TV and VCR remote controls. In computers, infrared communication offers an alternative to cables and floppy disks. Infrared communication provides a point-to-point, low-cost way to connect computers with each other or with devices and appliances. Many cellular phones are equipped with infrared ports that allow them to be connected to a computer for dial-up networking connections.

Note

  • XOX


Infrared implementation

Infrared data transfer is implemented according to the Infrared Data Association (IrDA) standards and protocols. These standards are designed to allow low-cost components and low power requirements, and to enable connections by simply pointing infrared devices at each other. Infrared transceivers are now installed in nearly all new portable computers. For a computer that does not have a built-in infrared transceiver, you can install an external infrared transceiver.

IrDA is a half-duplex, short-range data transfer technology. The IrDA protocols specify the procedures that support link initialization, device address discovery, connection startup and data rate negotiation, information exchange, disconnection, link shutdown, and device address conflict resolution.

Infrared device support

Infrared functionality is provided through the Wireless Link file transfer feature, infrared printing (IrLPT), infrared image transfer (IrTran-P), and infrared networking (IrNET and IrComm) capabilities. Additionally, the IrDA Winsock API supports programs created by other software and equipment manufacturers. These manufacturers sell programs that use the Winsock API (or proprietary interfaces) to provide infrared connections to printers, modems, digital pagers, personal digital assistants, electronic cameras, organizers, cellular phones, and hand-held computers.

Important

  • For enhanced security, performance, and stability, it is recommended that you use only signed device drivers. For more information, see Signed Drivers.

Infrared transmission speeds

Many laptops, notebook computers, and hand-held devices now include infrared transceiver ports that provide infrared asynchronous serial transmission with maximum data transfer speeds of either 115.2 kilobytes per second (Kbps) or 4 megabits per second (Mbps), and sometimes 16 Mbps.

Serial IrDA 115.2 Kbps support (SIR)

The Serial IrDA (SIR) implementation of IrDA provides a maximum data transfer speed of 115.2 Kbps. The primary benefit of this implementation is that existing serial hardware can be used without additional cost.

Fast IrDA 4.0 Mbps support (FIR) and Very Fast IrDA 16.0 Mbps support (VFIR)

The Fast IrDA (FIR) implementation of IrDA provides a maximum data transfer speed (of 4 Mbps) that easily adjusts to slower devices. Very Fast IrDA (VFIR), which provides 16 Mbps half-duplex data transmission, is also supported. FIR and VFIR devices can communicate with SIR devices.

IrComm and IrNET support

With IrComm, you can use your computer and infrared-equipped cellular phone to connect to your Internet service provider or to send fax transmissions without additional equipment. With IrNET, you can establish a point-to-point connection between your computer and another computer or another infrared-equipped device. You can also establish a connection between your computer and a network access point.

IrLPT printer support

If your computer came with an internal infrared device, or if you install an infrared transceiver, an infrared port appears as a local port in the Add Printer dialog box. When you associate a printer with this port and then print to that printer, the IrLPT protocol is used to transmit the data.

IrTran-P image transfer support

The IrTran-P image transfer protocol is used in digital cameras and other digital image capture devices. You can use this feature to receive digital images from a camera or other device that supports IrTran-P to your computer through an IrDA connection. The IrTran-P service is implemented as a listen-only service; it never initiates the IrTran-P connection.

Caution

  • To enhance security, do not enable IrTran-P. When you enable IrTran-P, all incoming files sent over IrTran-P are automatically accepted. Because incoming files might contain harmful programs, ensure that the files originate from a trustworthy source. Do not open files if you cannot verify the source, do not recognize the file format, or are unsure of the content. Instead, delete the files immediately. For more information about infrared security considerations, see Security information for infrared communication.

Notes

  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (IrTran-P). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.
  • XOX


Links between infrared devices

Infrared data-link transmission occurs between two infrared devices. All transmissions over the link go from the primary (commanding) device to the secondary (receiving) device. The primary role is determined dynamically when a link is established and continues until the connection is closed. Any station that is capable can assume the primary role. When two computers are in range, either one can assume the primary role, so a user can initiate a data transfer on either computer. Some devices may only be capable of assuming the secondary role.

How an infrared connection is made

A device creates a link by automatically detecting the other or by a user request. The commanding station sends a connection request at 9,600 bits per second (bps) to the other device (including information such as an address, data rate, and other capabilities). The responding device assumes the secondary role and returns information that contains its address and capabilities. The primary and secondary stations then change the data rate and link parameters to the common set defined by the initial information transfer. Finally, the primary station sends data to the secondary station confirming the connection. The devices are then connected and begin data transfer under control of the primary device.

Multiple infrared connections

The Winsock API supports multiple simultaneous connections over a single IrDA link. This feature allows several different programs to use a single infrared device simultaneously. For example, you might place a portable computer within range of a desktop computer to simultaneously send and receive mail, update your calendar and contacts, and print deferred documents. Each activity can be controlled by a separate program on the laptop computer that locates and connects to its corresponding program on the desktop computer.

Multiple infrared devices

A single infrared device cannot link simultaneously with more than one other infrared device. However, you can install multiple infrared devices on a computer to provide simultaneous links to multiple infrared devices. For example, using separate infrared devices, a desktop computer can simultaneously print to an infrared port, communicate with a portable computer, and dial a network connection.

For additional information, see Installing infrared devices.

Important

  • For enhanced security, performance, and stability, it is recommended that you use only signed device drivers. For more information, see Signed Drivers.
  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Security information for infrared communication.

Note

  • XOX


Using wireless networking

This section covers:

  • Security information for wireless networks
  • Creating, modifying, and assigning Active Directory-based wireless network policies
  • Using Resultant Set of Policy to view wireless network policy assignments
  • Configuring wireless network settings on client computers
  • Logging and viewing wireless network activity
  • Using infrared communication


Security information for wireless networks

Wireless networking technologies provide convenience and mobility, but they also introduce security risks on your network. For example, unless authentication and authorization mechanisms are implemented, anyone who has a compatible wireless network adapter can access the network. Without encryption, wireless data is sent in plaintext, so anyone within sufficient distance of a wireless access point can detect and receive all data sent to and from a wireless access point.

The following security mechanisms enhance security over wireless networks:

  • 802.11 identity verification and authentication
  • 802.11 Wired Equivalent Privacy (WEP) encryption
  • 802.1X authentication
  • IAS support for 802.1X authentication

802.11 identity verification and authentication

For identity verification and authentication, IEEE 802.11 defines the open system and shared key authentication subtypes:

  • Open system authentication does not actually provide authentication; it performs only identity verification through the exchange of messages between the initiator (wireless client) and the receiver (wireless access point).
  • Shared key authentication does provide authentication by verifying that the initiator has knowledge of a shared secret. Under the 802.11 standard, it is assumed that the shared secret is sent to the wireless access point over a secure channel that is independent of 802.11.

For information about how to specify the authentication subtype that you want to use, see To define preferred wireless networks in Group Policy or To define a wireless network connection on a client computer.

Important

  • To enhance security and connectivity, do not use shared key authentication. Shared key authentication is less secure than open system authentication because it requires the exchange of a secret key that is shared by all wireless access points and clients and therefore is more vulnerable to known-text attacks. In addition, if you use shared key authentication for a wireless network that has multiple wireless access points, you will lose network connectivity when you travel from one wireless access point to a new wireless access point. In this case, you will lose connectivity because your network key will no longer match the shared key used by all wireless access points. To determine whether a wireless network you are connecting to has multiple wireless access points, use Wireless Monitor. For information about how to use Wireless Monitor to view details about wireless access points, see To view details about wireless network access points.

802.11 WEP encryption

For encryption, 802.11 defines the WEP algorithm. WEP provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points.

To encrypt the data that is sent over wireless networks, WEP uses the RC4 stream cipher with either a standard 40-bit encryption key or, in some implementations, a 104-bit encryption key. A stream cipher is a method of encrypting text (to produce ciphertext) in which a cryptographic key and algorithm are applied to each binary digit in a data stream, one bit at a time. The RC4 stream cipher, designed by RSA Data Security, Inc can accept keys of arbitrary length. Data integrity is provided through an integrity check value (ICV) in the encrypted portion of the wireless frame.

802.1X authentication

802.1X is an IEEE standard for authenticated network access to wired Ethernet networks and wireless 802.11 networks. IEEE 802.1X provides support for centralized user identification, authentication, dynamic key management, and accounting. The 802.1X standard enhances security by allowing a computer and a network to authenticate each other, generating a per-user/per-session key to encrypt data over wireless connections and providing the ability to dynamically change keys.

Important

  • For enhanced security in XOX Service Pack 1 and the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP).
  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. If you connect to an 802.11 wireless network, and you do not enable 802.1X, the data that you send is more vulnerable to attacks, such as offline traffic analysis, bit flipping, and malicious packet injection.

EAP authentication methods

802.1X uses Extensible Authentication Protocol (EAP) for message exchange during the authentication process. With EAP, an arbitrary authentication method, such as passwords, smart cards, or certificates, is used to authenticate the wireless connection. The support that 802.1X provides for EAP types allows you to use any of the following authentication methods:

  • EAP-Transport Level Security (EAP-TLS), which uses certificates for server authentication and either smart cards or certificates for user and client computer authentication.
  • Protected EAP with EAP-Microsoft Challenge Handshake Authentication Protocol version 2 (PEAP with EAP-MS-CHAPv2), which uses certificates for server authentication and credentials (user name and password) for user authentication.
  • PEAP with EAP-TLS, which uses certificates for server authentication and either smart cards or certificates for user and client computer authentication.

For more information, see EAP, MS-CHAP version 2, Understanding 802.1X authentication for wireless networks, and PEAP.

Security and ease of deployment

When choosing an authentication method, balance the level of security that you require with the effort that you want to devote to deployment. For the highest level of security, choose PEAP with certificates (EAP-TLS). PEAP uses TLS to enhance the security of other EAP authentication protocols. With PEAP, TLS is used to create an end-to-end encrypted channel between an EAP client (such as a wireless computing device) and an EAP server (such as an Internet Authentication Service (IAS) server). Although both PEAP with EAP-TLS and EAP-TLS alone provide strong security through the use of certificates for server authentication and either certificates or smart cards for client computer and user authentication, when PEAP with EAP-TLS is used, client certificate information is encrypted.

For the greatest ease of deployment, choose PEAP with passwords (EAP-MS-CHAP v2). PEAP with EAP-MS-CHAP v2 requires the least effort to deploy, because client authentication is password-based, so certificates or smart cards do not need to be installed on clients. Because PEAP creates an end-to-end encrypted channel before EAP-MS-CHAP v2 authentication occurs, the authentication exchange reduces the risk of offline dictionary attacks.

The session keys that are generated during the PEAP authentication process provide keying material for the WEP encryption keys that encrypt the data that is sent between wireless clients and wireless access points. In addition, PEAP supports fast reconnect. PEAP fast reconnect allows roaming users to maintain continuous wireless network connectivity when traveling between different wireless access points on the same network, as long as each wireless access point is configured as a client of the same IAS (RADIUS) server.

For information about certificate requirements for 802.1X authentication methods, see Network access authentication and certificates. For information about deploying smart cards, see Checklist: Deploying smart cards for logging on to Windows.

Important

  • When you deploy both PEAP and EAP unprotected by PEAP, do not use the same EAP authentication type with and without PEAP. For example, if you deploy PEAP with EAP-TLS (PEAP-EAP-TLS), do not also deploy EAP-TLS without PEAP. Deploying authentication methods with the same type—one with and the other without the protection of PEAP—creates a security vulnerability.

IAS support for 802.1X authentication

To enhance the security and deployment of wireless networks, you can use 802.1X with IAS, the Microsoft implementation of a Remote Authentication Dial-in User Service (RADIUS) server and proxy server. When RADIUS is implemented, wireless access points that are configured as RADIUS clients use the RADIUS protocol to send connection requests and accounting messages to a central RADIUS server. The RADIUS server accesses a user account database and set of rules for granting authorization, processes the wireless access point's connection request, and then either accepts or rejects the connection request.

For more information about 802.1X authentication, see Understanding 802.1X authentication for wireless networks. For information about wireless network client configuration, see Configuring wireless network client settings. For information about configuring IAS for wireless access authentication, see Checklist: Configuring the IAS server and wireless access points for wireless access and Wireless access.


Creating, modifying, and assigning Active Directory-based wireless network policies

Wireless network settings can be configured locally, by users on client computers, or centrally. To enhance the deployment and administration of wireless networks, you can use Group Policy to create, modify, and assign wireless network policies centrally, for Active Directory clients. When you use Group Policy to define wireless network policies, you can specify whether clients can use Windows to configure wireless network connection settings, whether to enable 802.1X authentication for wireless network connections, and the preferred wireless networks that clients can connect to.

When you assign an Active Directory-based wireless network policy, the policy is stored in Active Directory and it is cached in the registry on the local computer. If a computer is temporarily disconnected from a Windows 2000 or a Windows Server 2003 domain, the Active Directory policy that is cached in the local registry is applied instead, if such a policy has been cached.

A Group Policy object defines access, configuration, and usage settings for accounts and resources. Wireless network policies can be assigned to the Group Policy object of a site, domain, or organizational unit. When the wireless network policy is applied to one of the Group Policy objects for the Active Directory object, the wireless network policy is propagated to any computer accounts that are affected by that Group Policy object. For more information, see Group Policy overview.

When assigning a wireless network policy in Active Directory, consider the following:

  • Only a single wireless network policy can be assigned at a specific level in Active Directory.
  • A wireless network policy that is assigned for the domain takes precedence over local wireless network settings on a client computer, when a client computer is a member of the domain.
  • A wireless network policy that is assigned to an organizational unit in Active Directory takes precedence over a domain-level policy for members of that organizational unit.
  • An organizational unit inherits the policy of its parent organizational unit unless either policy inheritance is explicitly blocked or policy is explicitly assigned.
  • The highest possible level of the Active Directory hierarchy should be used to assign policies to reduce the amount of configuration and administration required.

For information about how to define Active Directory-based wireless network policies, see Define Active Directory-based wireless network policies.

Notes

  • The integration of IPSec policies with Active Directory described here does not apply to computers running XOX. You cannot administer Active Directory-based IPSec policy from a computer running XOX because these computers cannot join Active Directory domains.


Using Resultant Set of Policy to view wireless network policy assignments

Resultant Set of Policy (RSoP) is an addition to Group Policy that you can use to view wireless network policy assignments for a computer or for members of a Group Policy container. This information can help you troubleshoot policy precedence issues and plan your deployment.

To view wireless network policy assignments in RSoP, you must first open the RSoP MMC console, and then run a query. RSoP provides two types of queries: logging mode queries (for viewing wireless network policy assignments for a computer) and planning mode queries (for viewing wireless network policy assignments for members of a Group Policy container).

Logging mode queries

You can run an RSoP logging mode query to view all of the wireless network policies that are assigned to an wireless network client. The query results display the precedence of each wireless network policy assignment, so that you can quickly determine which wireless network policies are assigned but are not being applied and which wireless network policy is being applied. The RSoP console also displays detailed settings (that is, whether 802.1X authentication is enabled, the list of preferred wireless networks that clients can connect to, and wireless network key settings) for the wireless network policy that is being applied.

When you run a logging mode query, RSoP retrieves policy information from the Windows Management Instrumentation (WMI) repository on the target computer, and then displays this information in the RSoP console. In this way, RSoP provides a view of the policy settings that are being applied to a computer at a given time.

For information about how to run RSoP logging mode queries for wireless network policies, see To use RSoP to view wireless network policy assignments for a computer. For general information about RSoP logging mode queries, see RSoP logging mode. For general information about RSoP, see RSoP overview.

Planning mode queries

You can run an RSoP planning mode query to view all of the wireless network policies that are assigned to members of a Group Policy container. For example, a planning mode query can be useful if you are planning a company reorganization and you want to move computers from one organizational unit to a new organizational unit. By supplying the appropriate information and then running a planning mode query, you can determine which wireless network policies that are assigned but are not being applied to the new organizational unit and which wireless network policy is being applied. In this way, you can identify which policy would be applied if you were to move the computers to the new organizational unit. As with logging mode queries, when you run a planning mode query, the RSoP console displays detailed policy settings for the wireless network policy that is being applied.

When you run a planning mode query, RSoP retrieves the names of the target user, computer, and domain controller from the WMI repository on the domain controller. WMI then uses the Group Policy Data Access Service (GPDAS) to create the policy settings that would be applied to the target computer, based on the RSoP query settings that you entered. RSoP reads the policy settings from the WMI repository on the domain controller, and then displays this information in the RSoP console user interface.

For information about how to run RSoP planning mode queries for wireless network policies, see To use RSoP to view wireless network policy assignments for members of a Group Policy container. For general information about RSoP planning mode queries, see RSoP planning mode.

Note

  • You can run an RSoP planning mode query only on a domain controller (when you run a planning mode query, you must explicitly specify the domain controller name). However, you can specify any wireless network client as the target for the query, provided you have the appropriate permissions to do so.

Assigning and processing wireless network policies in Group Policy

Wireless network policies can be assigned from and stored in Active Directory, as part of Group Policy, or they can be assigned and stored locally, on a computer. When a computer is joined to an Active Directory domain, the domain-level wireless network policy applies. If a computer is not joined to an Active Directory domain, the local settings apply.

Group Policy settings are contained in Group Policy objects, which are linked with specific Active Directory objects (sites, domains, and organizational units). When a wireless network policy is assigned to a Group Policy object for an Active Directory object (such as an organizational unit), that wireless network policy is propagated to any computer accounts that are affected by the Group Policy object.

Multiple Group Policy objects, each of which can contain an wireless network policy, can be assigned to a computer account. When multiple wireless network policies are assigned, the last policy that is processed is the policy that is applied (that is, the last policy takes the highest precedence and overrides the settings of any wireless network policy assignments that were processed earlier).

Policy precedence is based on the Group Policy inheritance model. The policy used is the policy assigned at the lowest level of the domain hierarchy for the domain container of which the computer is a member. For example, if there are wireless network policies that are configured for both the domain and for an organizational unit within the domain, the computers that are members of the domain use the domain wireless network policies. The computers that are members of the organizational unit within the domain use the organizational unit wireless network policies. If there are multiple organizational units, members of each organizational unit use the wireless network policy assigned to the organizational unit that is closest in level to their container in the Active Directory hierarchy. If no wireless network policies are configured for Active Directory, or if a computer is not connected to an Active Directory domain, the local wireless settings are used.

Wireless network policy information displayed in the RSoP console

The RSoP snap-in simplifies the task of determining which wireless network policy is being applied by displaying the following information for each Group Policy object that contains a wireless network policy assignment: the name of the wireless network policy, the name of the Group Policy object that the wireless network policy is assigned to, the wireless network policy precedence (the lower the number, the higher the precedence), and the name of the site, domain, and organizational unit to which the Group Policy object containing the wireless network policy applies (that is, the scope of management for the Group Policy object).

For general information about Group Policy, see Group Policy overview.


Configuring wireless network settings on client computers

The Wireless Configuration service in XOX and the Windows Server 2003 family supports the IEEE 802.11 standard for wireless networks and minimizes the configuration that is required to access wireless networks. This service is enabled by default and allows you to travel to different wireless networks without reconfiguring the network connection settings on your computer for each location. As you move from one location to a new location, the Wireless Configuration service searches for available wireless networks and notifies you when there are new wireless networks available for you to connect to. After you select the wireless network that you want to connect to, the Wireless Configuration service updates your wireless network adapter to match the settings of that wireless network, and attempts to connect to that wireless network.

The Windows Configuration service also allows you to use Windows to configure your wireless network settings. When you use Windows to configure your wireless network settings, you can create a list of preferred wireless networks, and you can specify the order in which to attempt connections to these wireless networks.

For more information, see Define wireless network policies on a client computer.

Selecting a wireless network type

When you configure new or existing wireless network connections or connect to an available wireless network, you can choose from the following wireless network types:

  • Access point (infrastructure)

    • In access point wireless networks, wireless clients (computing devices with wireless network adapters, such as your portable computer or personal digital assistant) connect to wireless access points. The access points function as bridges between wireless clients and the existing network backbone. As you move from one location to another, and the signal for one wireless access point weakens, or the access point becomes congested with traffic, you can connect to a new access point. For example, if you work in a large corporation, you might connect to several different wireless access points as you move between different floors of a building or different buildings in a campus, while still maintaining uninterrupted access to network resources.

  • Computer-to-computer (ad hoc)

    • In computer-to-computer wireless networks, wireless clients connect to each other directly, rather than through wireless access points. For example, if you are in a meeting with co-workers, and you do not need to gain access to network resources, your wireless device can make direct connections to the wireless devices of your co-workers, and you can form a temporary network.

  • Any available network (access point preferred)

    • In access point preferred wireless networks, a connection to an access point wireless network is always attempted first, if there are any available. If an access point network is not available, a connection to a computer-to-computer wireless network is attempted. For example, if you use your laptop at work in an access point wireless network, and then you take your laptop home to use in your computer-to-computer home network, the Windows Configuration service will change your wireless network settings as needed so that you can connect to your home network.

Configuring wireless network security settings

802.1X is an IEEE standard for authenticated network access to wired Ethernet networks and wireless 802.11 networks. IEEE 802.1X enhances security and deployment by providing support for centralized user identification, authentication, dynamic key management, and accounting. For enhanced security in XOX Service Pack 1 and the Windows Server 2003 family, 802.1X authentication is available only for access point (infrastructure) networks that require the use of a network key (WEP). Wired Equivalent Privacy (WEP) provides data confidentiality by encrypting the data that is sent between wireless clients and wireless access points.

Important

  • It is highly recommended that you use 802.1X authentication whenever you connect to an 802.11 wireless network. If you connect to an 802.11 wireless network without using 802.1X authentication, the data that you send is more vulnerable to attacks, such as offline traffic analysis, bit flipping, and malicious packet injection. For more information about security considerations for wireless networks, see Security information for wireless networks.

Configuring wireless network key settings

When Wired Equivalent Privacy (WEP) is enabled, a network key can be used to encrypt data that is sent over wireless networks. The network key can be provided for you automatically (for example, if 802.1X is being used for dynamic key distribution), or you can specify the key by typing it yourself. If you specify the key yourself, you can also specify the key index (the location where a specific key is stored).

A wireless client can be configured with up to four keys (the key index values are 0, 1, 2, and 3). When a wireless access point or a wireless client transmits an encrypted message using a key that is stored in a specific key index, the transmitted message indicates the key index that was used to encrypt the message body. The receiving wireless access point or wireless client can retrieve the key that is stored at the key index and use it to decode the encrypted message body.

Important

  • To enhance security and connectivity, do not use shared key authentication. Shared key authentication is less secure than open system authentication because it requires the exchange of a secret key that is shared by all wireless access points and clients and therefore is more vulnerable to known-text attacks. In addition, if you use shared key authentication for a wireless network that has multiple wireless access points, you will lose network connectivity when you travel from one wireless access point to a new wireless access point. In this case, you will lose connectivity because your network key will no longer match the shared key used by all wireless access points. To determine whether a wireless network you are connecting to has multiple wireless access points, use Wireless Monitor. For information about how to use Wireless Monitor to view details about wireless access points, see To view details about wireless network access points.

Configuring 802.1X authentication settings for wireless network connections

The support that 802.1X provides for Extensible Authentication Protocol (EAP) types allows you to select from several authentication methods for wireless network connections. For more information about choosing an authentication method, see Understanding 802.1X authentication for wireless networks.


Logging and viewing wireless network activity

Wireless Monitor allows you to view details about access points and wireless clients. You can use this information to troubleshoot your wireless service. The Wireless Configuration service logs information in Wireless Monitor that allows you to:

  • Identify service configuration changes.
  • Check the events logged in the Wireless Configuration service log that are generated from outside of your network, such as media event notifications, 802.1X events, and timer expiration events.
  • Check how the Wireless Configuration service reacts to external events by following transitions, as they are reflected in the log.

For information about how to use Wireless Monitor, see Monitor wireless network activity.

Wireless Monitor access point information

The following table describes the items that are displayed when you use Wireless Monitor to view details about Wireless Access Point Information.

Access point statistics | Description
Network Name | Displays the names of the networks that are within the reception range of the wireless adapter on your computer.
Network Type | Displays the type of network listed in the logged event. Network Types include Access Point and Peer to Peer.
MAC Address | Displays the media access control (MAC) address of the networks that are within the reception range of the wireless adapter on your computer.
Privacy | Displays whether privacy is enabled or disabled for any network within the reception range of the wireless adapter on your computer.
Signal Strength | Displays the strength of the signals that are broadcast from the networks that are within the reception range of the wireless adapter on your computer. IEEE specifies that 802.11 wireless devices receive at a signal strength range between -76 dBmW (decibel milliwatts) and -10 dBmW, with -10 dBmW indicating the strongest signal; some receivers that are more sensitive may be able to accept weaker signals, possibly as weak as -85 dBmW to -90 dBmW.
Radio Channel | Displays the radio channels on which the networks that are within the reception range of the wireless adapter on your computer are broadcasting.
Access Point Rate | Displays the data rate that the wireless network will support.
Network Adapter GUID | Displays a 16-byte value generated by the operating system in order to identify, uniquely, each wireless adapter on your computer. A globally unique identifier (GUID) is used to identify a particular device or component.

Wireless Monitor wireless client information

The following table describes the items that are displayed when you use Wireless Monitor to view details about Wireless Client Information.

Wireless client statistics | Description
Source | Identifies the software that generated the event. Events displayed in Wireless Monitor are generated either by the Wireless Configuration service or EAP over LAN (EAPOL).
Type | Displays the type of event. The event type is the classification of the event, such as Error, Warning, Information, or Packet.
Time | Displays the time at which the event was logged.
Local MAC Address | Displays the media access control (MAC) address of the local network adapter.
Remote MAC Address | Displays the MAC address of the remote network interface. This is frequently a wireless access point, or, in wireless computer-to-computer networks, this is the MAC address of the network adapter in the remote computer.
Network Name | Displays the name of the wireless network for which the event was generated. Under the 802.11 standard for wireless networks, the network name is also known as a service set identifier (SSID).
Description | Provides a brief summary of the logged event. (For a list of the events that are logged in the Description field and for brief explanations of these events, see the following table.

Wireless Client Information events

The following table describes the events that are logged in the Description column of Wireless Monitor for Wireless Client Information.

Description | Explanation
Adding interface "x." | Indicates that a new network adapter has been inserted into the computer running the Wireless Configuration service. This does not necessarily mean that the adapter is a wireless adapter. The Wireless Configuration service determines whether this is a wireless adapter and, if so, ceases to control it (the Wireless Configuration service removes the internal context of the adapter from its hashes). The description includes the NDIS adapter as parameter "x."
Configuration "x" has a default random WEP key. Authentication is disabled. Assuming invalid configuration. | Indicates that the Wireless Configuration service associated successfully to a network after providing a random Wired Equivalent Privacy (WEP) key. If 802.1X is not taking control over the connection, then this is considered to be an invalid configuration. If 802.1X is disabled, the Wireless Configuration service deletes this configuration. If 802.1X is taking control, the Wireless Configuration service does not delete the configuration, and the Wireless Configuration service retains the configuration as "Successful." The log contains the SSID of the network to which it is associated as parameter "x."
Deleting configuration "x" and moving on (If no better match is found, the configuration will be revived). | Indicates that the Wireless Configuration service is failing to detect the presence of an ad hoc network. This means that the adapter might be the only 802.11 wireless device in the ad hoc network, in which case there is no "Media connect" notification and media status shows "Disconnected" after the two seconds allowed to associate. If this happens, the Wireless Configuration service deletes the network but tags the deleted network such that association will be reattempted if all of the other networks fail. If all other attempts to associate with a network fail, then the tagged network is "Revived," and the Wireless Configuration service will mark it "Successful," regardless of the media indications. This is how the system becomes the first node in the ad hoc network. The description includes the SSID of the ad hoc network that failed as parameter "x."
Deleting configuration "x" and moving on. Indicates that the Wireless Configuration service attempted to associate to an infrastructure network and failed. There are two possible reasons for the failure:
  • The Wireless Configuration service provided the 802.11 settings, but two seconds elapsed and there was no "Media connect" notification received or, at the end of the two seconds, media status indicated "Disconnected."
  • The association succeeded, but 802.1X requested that the Wireless Configuration service disassociate from this network explicitly (as a result of an authentication failure). The description includes the SSID of the network that failed as parameter "x."
Driver failed scanning, rescheduling another scan in 5sec. | Indicates that the Wireless Configuration service queried the driver, and the driver reported an error. This can happen if the driver cannot serve the request immediately. In such instances, the Wireless Configuration service schedules another attempt in five seconds. This event does not occur regularly (ideally, it does not occur at all). If this event is logged often, it could indicate that the wireless adapter drivers have been corrupted.
Failed to associate to any wireless network. Indicates that the Wireless Configuration service is in a "Failed" state. In most cases, this event is logged every minute, when:
  • The Wireless Configuration service is disabled.
  • The wireless adapter is outside of the broadcast range of any preferred networks.
  • There is no available wireless network.
This description indicates that no networks are detected to which the wireless adapter can associate. In the "Failed" state, the Wireless Configuration service provides a random SSID for this purpose.
Hard resetting interface. | Indicates that the wireless adapter has been hard-reset. This usually means that any existing association is broken before the Wireless Configuration service reanalyzes the available networks and the user preferences and configures the appropriate 802.11 settings on the adapter. This event is usually logged when you roam from one network to another and is associated with a "Media disconnect" notification from the previous network. This event is also logged once every minute if the Windows Configuration service is looping through a failure state, indicating that the Wireless Configuration service could not associate to any network. This event does not occur in the case of a steady successful, association.
Initiating scanning for wireless networks. | Indicates that the Wireless Configuration service is initiating a scanning cycle. Subsequently, the Wireless Configuration service causes the driver to scan for networks, query the list of available networks, and either associate to a more appropriate network or, if it detects there is no change, retain the current successful association (if any). This event is logged once every minute.
No configuration change. Still associated to "x." | Indicates that the Wireless Configuration service processed the list of available networks and the list of user preferred networks and determined there is no change that would allow it to break the existing successful association. Subsequently, the Wireless Configuration service will transition into "Association successful" state. This event is logged once every minute in the case of a steady successful association. The description includes the SSID of the associated network as parameter "x."
No configurations left in the selection list. | Indicates that the Wireless Configuration service went through all of the selected wireless networks and failed to associate to any of them. This could happen either as a result of an NDIS media status indicating "Disconnected" or as a result of the 802.1X forcing the networks to be deleted because of a failed authentication. This description indicates that the Wireless Configuration service is transitioning into a "Failed" state. This is not necessarily an error; it could mean the service is not configured, that no preferred network is available, or that no wireless networks are available at all.
Plumbing configuration SSID: "x," Network Type: "y." | Indicates that the Wireless Configuration service processed the list of available networks and the list of user preferred networks and determined something has changed such that the adapter needs to be reconfigured. This description indicates that a current, successful association is broken. This event occurs when the computer is disconnected from one network or when a new, preferred network became available. This event does not occur in the case of a successful, steady association. The description includes the new SSID that has been configured on the adapter ("x") and the infrastructure parameter ("y;" where 0 = an ad hoc network, and 1 = an infrastructure network).
Processing command Next Configuration. | Indicates that 802.1X directed the Wireless Configuration service to break the association to the current network but retain it for subsequent attempts. This event indicates that 802.1X attempted one type of authentication and failed. 802.1X can try authentication if the wireless adapter reassociates with the network.
Processing command Remove Configuration. | Indicates that the Wireless Configuration service is directed by 802.1X to break the existing association with the current network and delete it from its list such that it does not refresh that association again. This event indicates that 802.1X failed all attempts for all types of authentication.
Processing command Update data. | Indicates that 802.1X is providing new data to the Wireless Configuration service in order to have it associated with the network to which it is currently associated.
Processing user command Refresh. | Indicates that the Wireless Configuration service received a command to refresh. Most commonly, this command is a result of the user clicking the Refresh in the user interface. This action interrupts the one minute scanning cycle by instantly initiating scanning.
Processing user command Reset. | Indicates that the Wireless Configuration service received a command to reset. Most commonly this command is issued by 802.1X whenever something changes in the configuration. This command breaks any existing association while the Wireless Configuration service provides new 802.11 settings.
Received Device Arrival notification for "x." | Indicates that the Wireless Configuration service received a "Device arrival" notification. The description includes the NDIS of the device being added as parameter "x."
Received Device Removal notification for "x." | Indicates that the Wireless Configuration service received a "Device removal" notification. The description includes the NDIS of the device being removed as parameter "x."
Received Media Connect notification. | Indicates that the Wireless Configuration service received a "Media connect" notification. This event can occur repeatedly while the Wireless Configuration service configures the initial association. This description can also indicate that the adapter is randomly switching from one access point to another, which highlights problems with the wireless adapter driver.
Received Media Disconnect notification. | Indicates that the Wireless Configuration service received a "Media disconnect" notification from the driver. This event occurs when the Wireless Configuration service provides the adapter with the SSID of a wireless network has been detected, but the adapter fails to associate with that network. This event also occurs whenever the user roams out of the area covered by the network.
Received Timeout notification. Indicates that an internal Wireless Configuration service timer elapsed. This event description should occur at the following times:
  • Three seconds after the Wireless Configuration service initiates a scanning cycle.
  • Two seconds after the Wireless Configuration service provides any network configuration, if there is no "Media connect" notification in between.
  • Every minute while in "Failed" or "Association successful" states.
Scan completed. | Indicates that the Wireless Configuration service has transitioned into scanning cycle after allowing three seconds for the driver of the wireless adapter to scan for wireless networks. Once in this state, the Wireless Configuration service will query the driver in order to get all 802.11 settings, the most important one being the list of available networks. This event occurs every minute.
Skipping configuration "x" for now, attempt authentication later. | Indicates that 802.X directed the Wireless Configuration service to skip the current successful association and move to another association. The network configuration is retained for another attempt at a subsequent loop (802.1X will attempt computer authentication instead of user authentication). The description includes the SSID of the network that is being disassociated as parameter "x."
Wireless configuration has been changed via an administrative call. | Indicates that a configuration change has been received through an administrative call. This is either the result of the user changing the wireless configuration or a policy object being applied.
Wireless Configuration service failed to start. | Indicates that the service failed to initialize.
Wireless Configuration service was started successfully. Indicates that the service has started successfully. This is an indication that the service:
  • Initialized all of its global objects successfully.
  • Initialized the logging database framework successfully.
  • Initialized 802.1X authentication successfully.
  • Initialized the policy module successfully.
  • Registered with the Service Control Manager (SCM) successfully, including registering for device notifications.
  • Registered with Windows Management Instrumentation (WMI) for NDIS media event notifications successfully.
  • Registered as an RPC server successfully.
Wireless interface successfully associated to "x" [MAC "y"]. | Indicates that the Wireless Configuration service associated to a network successfully and that network is sending a "Success" notification to 802.1X. The description includes the SSID of the network to which it is associated as parameter "x." The MAC address of the remote endpoint is also included as parameter "y."


Using infrared communication

You can transfer data over infrared connections with computers, printers, cameras, and other devices that use IrDA protocols. In addition, you can use an infrared-enabled cellular phone to make a dial-up connection to the Internet or to your corporate network. This section covers:

  • Security information for infrared communication
  • Installing infrared devices
  • Establishing infrared network connections between computers
  • Transferring files
  • Printing to an infrared printer
  • Transferring digital camera images to the computer

Note

  • XOX


Security information for infrared communication

Infrared provides a secure and simple way to transfer and synchronize data. In order for infrared communication to work properly, infrared transceivers must operate on a line-of-sight basis—they must be placed at a 30-degree angle and no farther than 1 meter (approximately 40 inches) apart. Because infrared operates at such a short distance and a narrow angle, it is relatively difficult for an attacker to intercept data that is sent over infrared. However, infrared does not provide data encryption. Because data is sent in plaintext, it is vulnerable to packet sniffing attacks. Therefore, take precautions to ensure that data that is sent over infrared is not intercepted.

To enhance security when using infrared communication, do the following:

  • Do not enable infrared image transfer (IrTran-P).

    IrTran-P is disabled by default (that is, the option to use Wireless Link to transfer images from a digital camera to your computer is disabled). If you enable this option, all of the incoming files that are sent over IrTran-P are automatically accepted. Because incoming files might contain harmful programs, ensure that the files originate from a trustworthy source. Do not open files if you cannot verify the source, do not recognize the file format, or are unsure of the content. Instead, delete the files immediately.

    For more information, see Transferring digital camera images to the computer and Infrared implementation.

  • Align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices.

    Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an outside infrared device. To further enhance security, ensure that all infrared devices and data sources are trustworthy. Finally, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible.

    For more information, see Links between infrared devices and To establish an infrared link.

  • Use only signed device drivers.

    For security, performance, and stability, it is recommended that you use only signed device drivers.

    For more information, see Signed Drivers.

Note

  • XOX


Installing infrared devices

Most internal infrared devices are installed by Setup or when you start your computer after adding one of these devices. However, when you attach a serial infrared transceiver to a serial (COM) port or to a USB port, you do need to install it as described in this topic. This topic also describes how to install an internal infrared device that is not automatically detected.

Installing an infrared device connected to a serial port

If you have a desktop computer or a portable computer without an internal infrared device, you can connect a serial infrared transceiver to a serial (COM) port or a USB port. To do so, attach the infrared transceiver to the port, note which port you are using, and then follow the steps in To add a new infrared device to a serial port.

Installing an undetected internal infrared device

If you add an internal infrared device to a computer with XOX, XOX, or XOX already installed, the device is typically detected and installed the next time you start the computer. If this does not occur, you might have to install the device manually. To do so, follow the instructions in To add a new infrared device to a serial port.

Note

  • XOX


Establishing infrared network connections between computers

An infrared network connection allows you to establish a direct connection between two infrared-enabled devices without using modems, cables, or network hardware. Instead, you align the two devices to establish an infrared link, and then use Network Connections to create an infrared network connection.

How you can use infrared network connections

You can use infrared network connections to perform a variety of tasks. For example, you can:

Access the Internet from a public location

While at an airport, a hotel, or any other location that provides public Internet access, you can sit at a kiosk and use your laptop, personal digital assistant (PDA), or other infrared-enabled device to connect to the Internet. Kiosks at such locations provide a built-in infrared port, so that you can align your infrared-enabled device with the built-in port and establish an infrared network connection.

When making this type of infrared network connection, you configure the infrared device as the guest. The server that your device connects to is the host.

Access shared information on another computer

You can establish an infrared network connection between two computers to access shared resources on one of the computers. For example, if you have a portable computer that you want to use to access files in a shared folder on your desktop computer, you can establish an infrared network connection between the two computers.

When making this type of infrared network connection, you configure the portable computer as the guest and the desktop computer as the host.

Creating network connections on both computers

To create an infrared network connection, follow the steps in To establish a direct infrared network connection between computers on both computers. When you create the network connections, specify the computer that has the information you want to access as the host computer, and the computer you are going to use to access the information as the guest computer.

For both computers, specify the infrared port as the device that will be used to make the connection.

Configuring permissions on the host computer

If you are connecting two XOX, XOX, or XOX computers, you can access shared folders on the host. However, before you can make the connection, make sure that the user name for the connection is given membership in a group on the host computer. For information on how to add users to your computer, see To create a new local user account. The new user must have sufficient permissions to perform any expected tasks. If you are adding a user so that someone else can access your computer, you might want to add the new user to the Guest, User, or Power Users groups.

Accessing the local computer

After you set up network connections on both the host and guest computers, follow the steps in To use an infrared network connection. Working on the guest computer, you can then map shared drives on the host computer and use My Computer or Windows Explorer to open folders and access files.

Notes

  • If you only want to send files from one infrared-enabled device to another, you do not need to establish an infrared network connection. Instead, you only need to establish an infrared link, as described in To establish an infrared link.
  • Infrared network connections use the Point-to-Point Protocol (PPP). Typically, this protocol does not require additional configuration.
  • XOX


Transferring files

You can use Wireless Link to send selected files or an entire folder to another computer running Windows 98, Windows 2000, XOX, XOX, or XOX.

Establishing an infrared connection

To send files, first establish an infrared link with another computer or other infrared device, as described in the procedure To establish an infrared link. When an infrared device is in range, the infrared connection status Infrared taskbar status icon icon appears on the taskbar, and the Wireless Link wireless link item appears on the desktop. These indicate only that an infrared device is in range. A data connection is made when Wireless Link or another program communicates over the link. While a program is connected over a link, the taskbar icon changes to the Infrared connection taskbar status icon icon. As long as an infrared transceiver is in range, you can transfer data over the link.

The IrDA Winsock API enables programs to communicate with any device that implements one of the supported protocols, described in Infrared implementation. Simultaneous connections over an infrared link are supported (unless the link is being used for a network connection), so more than one program can use the same link. If you use another program, refer to the documentation provided with it for procedures to transfer data.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Security information for infrared communication.

Note

  • XOX


Printing to an infrared printer

Printing to a printer that is connected by an infrared link is very much the same as printing to any other printer. After you establish an infrared connection between your computer and a printer, the printer is typically installed automatically by Plug and Play. If your computer is not infrared-capable, you can attach an infrared transceiver to your serial (COM) port. For more information, see To add an infrared device to a serial port.

After you add an infrared printer, the only difference between printing to it and printing to any other printer is that you must first establish an infrared link between the computer and the printer by aligning them so that the infrared transceivers are within 1 meter (approximately 40 inches) of each other, and the transceivers are pointing at each other. For more information, see To establish an infrared link.

Important

  • For enhanced security, performance, and stability, it is recommended that you use only signed device drivers. For more information, see Signed Drivers.
  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Security information for infrared communication.

Note

  • XOX


Transferring digital camera images to the computer

The Image Transfer tab of the Wireless Link dialog box includes a check box in which you can specify whether you want to transfer images from a digital camera to your computer using Wireless Link.

The Image Transfer tab also specifies the default location for image files received from a digital camera. This location is used by Wireless Link. Other programs may use other locations or require you to specify a location when you begin the transfer. You can also elect to have Windows Explorer automatically open to this location after images have been transferred.

The transfer is initiated by the digital camera rather than the computer. To transfer images, point the infrared window on your camera at the infrared transceiver on the computer. Then follow the camera manufacturer's instructions to select the picture and send it to the computer. Some cameras can transfer more than one picture at a time. The exact steps to transfer pictures depends on the make and model of the camera, and should be described in the instructions for operating the camera.

To configure Wireless Link to transfer camera images, see To change settings to transfer images from a digital camera. To transfer camera images to your computer using Wireless Link, see To transfer images from a digital camera to your computer.

Caution

  • To enhance security, do not enable infrared image transfer (IrTran-P), that is, do not select the Use Wireless Link to transfer images from a digital camera to your computer check box. If you select this check box, all incoming files sent over IrTran-P are automatically accepted. Because incoming files might contain harmful programs, ensure that the files originate from a trustworthy source. Do not open files if you cannot verify the source, do not recognize the file format, or are unsure of the content. Instead, delete the files immediately. For more information about infrared security considerations, see Security information for infrared communication.

Important

  • To enhance security, align infrared devices so that the infrared transceivers are between 0.1 meter (approximately 4 inches) and 0.5 meter (approximately 20 inches) apart whenever you establish an infrared link between two devices. Although there can be up to 1 meter (approximately 40 inches) between infrared transceivers without a loss in data transfer capability, if you place the transceivers closer to each other, you minimize the risk of interference from an attacker. To further enhance security, ensure that all infrared devices and data sources are trustworthy, and, if you are transferring infrared data with another person, conduct the transfer in a private location whenever possible. For more information about infrared security considerations, see Security information for infrared communication.

Notes

  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (IrTran-P). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.
  • XOX


Resources

This page provides sources of additional information about wireless technologies.

Microsoft product support

For Microsoft product support, see Microsoft Product Support Services at the Microsoft Web site (http://www.microsoft.com/).

Windows Resource Kits

The Windows Resource Kits contain extensive technical information about wireless networking protocols and deploying wireless technologies.

  • For information about wireless networking protocols, see "Wireless Networking Protocols" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)
  • For information about deploying wireless technologies, see "Deploying a Wireless LAN" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

The Infrared Data Association (IrDA)

The Infrared Data Association (IrDA) is an international organization that sets standards for infrared data connections. The infrared support provided by XOX, XOX, and XOX is designed to meet these standards.

For more information about IrDA, see the Infrared Data Association Web site.

Note

  • XOX


Troubleshooting

You can use the following tools to troubleshoot 802.11 wireless network connections and infrared devices:

  • 802.11 wireless networks. To troubleshoot problems related to 802.11 wireless network connections, you can view details about wireless access points and wireless clients in Wireless Monitor. For detailed information about the statistics displayed in Wireless Monitor, see Logging and viewing wireless network activity.
  • Infrared devices. To troubleshoot problems related to infrared devices, you can use the Input Devices Troubleshooter. For more information, see List of troubleshooters and Using troubleshooters.

Note

  • XOX